searchNodes=[{"doc":"Supports the CLDR Territories definitions which provide the localization of many territories.","ref":"Cldr.Territory.html","title":"Cldr.Territory","type":"module"},{"doc":"Returns a list of available styles. Example iex&gt; Cldr.Territory . available_styles ( ) [ :short , :standard , :variant ]","ref":"Cldr.Territory.html#available_styles/0","title":"Cldr.Territory.available_styles/0","type":"function"},{"doc":"Returns the available territory subdivisions for a given locale. locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/1 Example =&gt; Cldr.Territory . available_subdivisions ( TestBackend.Cldr ) [ &quot;ad02&quot; , &quot;ad03&quot; , &quot;ad04&quot; , &quot;ad05&quot; , &quot;ad06&quot; , &quot;ad07&quot; , &quot;ad08&quot; , ... ]","ref":"Cldr.Territory.html#available_subdivisions/1","title":"Cldr.Territory.available_subdivisions/1","type":"function"},{"doc":"Returns the available territories for a given locale. locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/1 Example =&gt; Cldr.Territory . available_territories ( TestBackend.Cldr ) [ :&quot;001&quot; , :&quot;002&quot; , :&quot;003&quot; , :&quot;005&quot; , :&quot;009&quot; , :&quot;011&quot; , :&quot;013&quot; , :&quot;014&quot; , :&quot;015&quot; , :&quot;017&quot; , :&quot;018&quot; , :&quot;019&quot; , :&quot;021&quot; , :&quot;029&quot; , :&quot;030&quot; , :&quot;034&quot; , :&quot;035&quot; , :&quot;039&quot; , :&quot;053&quot; , :&quot;054&quot; , :&quot;057&quot; , :&quot;061&quot; , :&quot;142&quot; , :&quot;143&quot; , :&quot;145&quot; , :&quot;150&quot; , :&quot;151&quot; , :&quot;154&quot; , :&quot;155&quot; , :&quot;202&quot; , :&quot;419&quot; , :AC , :AD , :AE , :AF , :AG , :AI , :AL , :AM , :AO , :AQ , :AR , :AS , :AT , :AU , :AW , :AX , :AZ , :BA , :BB , ... ]","ref":"Cldr.Territory.html#available_territories/1","title":"Cldr.Territory.available_territories/1","type":"function"},{"doc":"Lists children(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . children ( :EU ) { :ok , [ :AT , :BE , :CY , :CZ , :DE , :DK , :EE , :ES , :FI , :FR , :GR , :HR , :HU , :IE , :IT , :LT , :LU , :LV , :MT , :NL , :PL , :PT , :SE , :SI , :SK , :BG , :RO ] } iex&gt; Cldr.Territory . children ( :ZZZ ) { :error , { Cldr.UnknownTerritoryError , &quot;The territory :ZZZ is unknown&quot; } } iex&gt; Cldr.Territory . children ( :GB ) { :error , { Cldr.UnknownParentError , &quot;The territory :GB has no children&quot; } }","ref":"Cldr.Territory.html#children/2","title":"Cldr.Territory.children/2","type":"function"},{"doc":"The same as children/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . children! ( :EU ) [ :AT , :BE , :CY , :CZ , :DE , :DK , :EE , :ES , :FI , :FR , :GR , :HR , :HU , :IE , :IT , :LT , :LU , :LV , :MT , :NL , :PL , :PT , :SE , :SI , :SK , :BG , :RO ]","ref":"Cldr.Territory.html#children!/2","title":"Cldr.Territory.children!/2","type":"function"},{"doc":"Checks relationship between two territories, where the first argument is the parent and second the child . Returns true if successful, otherwise false . Example iex&gt; Cldr.Territory . contains? ( :EU , :DK ) true iex&gt; Cldr.Territory . contains? ( :DK , :EU ) false","ref":"Cldr.Territory.html#contains?/2","title":"Cldr.Territory.contains?/2","type":"function"},{"doc":"Returns a list of country codes. options are: as: :atom as: :binary as: :charlist Example =&gt; Cldr.Territory . country_codes ( ) [ :AD , :AE , :AF , :AG , :AI , :AL , :AM , :AO , :AR , :AS , :AT , :AU , :AW , :AX , :AZ , :BA , :BB , :BD , :BE , :BF , :BG , :BH , :BI , :BJ , :BL , :BM , :BN , :BO , :BQ , :BR , :BS , :BT , :BV , :BW , :BY , :BZ , :CA , :CC , :CD , :CF , :CG , :CH , :CI , :CK , :CL , :CM , :CN , :CO , :CR , :CU , ... ]","ref":"Cldr.Territory.html#country_codes/1","title":"Cldr.Territory.country_codes/1","type":"function"},{"doc":"Localized string for the given LanguageTag.t . Returns {:ok, String.t} if successful, otherwise {:error, reason} . options are: style is one of those returned by Cldr.Territory.available_styles/0 . The current styles are :short , :standard and :variant . The default is :standard Example iex&gt; Cldr.Territory . from_language_tag ( Cldr . get_locale ( TestBackend.Cldr ) , TestBackend.Cldr ) { :ok , &quot;world&quot; } iex&gt; Cldr.Territory . from_language_tag ( Cldr . get_locale ( TestBackend.Cldr ) , TestBackend.Cldr , [ style : :short ] ) { :error , { Cldr.UnknownStyleError , &quot;The style :short is unknown&quot; } } iex&gt; Cldr.Territory . from_language_tag ( Cldr . get_locale ( TestBackend.Cldr ) , TestBackend.Cldr , [ style : :ZZZ ] ) { :error , { Cldr.UnknownStyleError , &quot;The style :ZZZ is unknown&quot; } } iex&gt; Cldr.Territory . from_language_tag ( Cldr . get_locale ( TestBackend.Cldr ) , TestBackend.Cldr , [ style : &quot;ZZZ&quot; ] ) { :error , { Cldr.UnknownStyleError , &quot;The style \\&quot; ZZZ \\&quot; is unknown&quot; } }","ref":"Cldr.Territory.html#from_language_tag/3","title":"Cldr.Territory.from_language_tag/3","type":"function"},{"doc":"The same as from_language_tag/2 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . from_language_tag! ( Cldr . get_locale ( TestBackend.Cldr ) , TestBackend.Cldr ) &quot;world&quot;","ref":"Cldr.Territory.html#from_language_tag!/3","title":"Cldr.Territory.from_language_tag!/3","type":"function"},{"doc":"Localized string for the given subdivision code. Returns {:ok, String.t} if successful, otherwise {:error, reason} . options are: locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/1 Example iex&gt; Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , TestBackend.Cldr , locale : &quot;en&quot; ) { :ok , &quot;Cumbria&quot; } iex&gt; Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , TestBackend.Cldr , locale : &quot;pl&quot; ) { :ok , &quot;Kumbria&quot; } iex&gt; Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , TestBackend.Cldr , locale : &quot;bs&quot; ) { :error , { Cldr.UnknownSubdivisionError , &quot;The locale :bs has no translation for :gbcma.&quot; } } iex&gt; Cldr.Territory . from_subdivision_code ( &quot;invalid&quot; , TestBackend.Cldr , locale : &quot;en&quot; ) { :error , { Cldr.UnknownTerritoryError , &quot;The territory \\&quot; invalid \\&quot; is unknown&quot; } } iex&gt; Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , TestBackend.Cldr , [ locale : :zzz ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , TestBackend.Cldr , [ locale : &quot;zzz&quot; ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"Cldr.Territory.html#from_subdivision_code/3","title":"Cldr.Territory.from_subdivision_code/3","type":"function"},{"doc":"The same as from_subdivision_code/2 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . from_subdivision_code! ( &quot;gbcma&quot; , TestBackend.Cldr , locale : &quot;en&quot; ) &quot;Cumbria&quot; iex&gt; Cldr.Territory . from_subdivision_code! ( &quot;gbcma&quot; , TestBackend.Cldr , locale : &quot;pl&quot; ) &quot;Kumbria&quot;","ref":"Cldr.Territory.html#from_subdivision_code!/3","title":"Cldr.Territory.from_subdivision_code!/3","type":"function"},{"doc":"Localized string for the given territory code. Returns {:ok, String.t} if successful, otherwise {:error, reason} . options are: locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/1 style is one of those returned by Cldr.Territory.available_styles/0 . The current styles are :short , :standard and :variant . The default is :standard Example iex&gt; Cldr.Territory . from_territory_code ( :GB , TestBackend.Cldr ) { :ok , &quot;United Kingdom&quot; } iex&gt; Cldr.Territory . from_territory_code ( :GB , TestBackend.Cldr , [ style : :short ] ) { :ok , &quot;UK&quot; } iex&gt; Cldr.Territory . from_territory_code ( :GB , TestBackend.Cldr , [ style : :ZZZ ] ) { :error , { Cldr.UnknownStyleError , &quot;The style :ZZZ is unknown&quot; } } iex&gt; Cldr.Territory . from_territory_code ( :GB , TestBackend.Cldr , [ style : &quot;ZZZ&quot; ] ) { :error , { Cldr.UnknownStyleError , &quot;The style \\&quot; ZZZ \\&quot; is unknown&quot; } } iex&gt; Cldr.Territory . from_territory_code ( :GB , TestBackend.Cldr , [ locale : &quot;pt&quot; ] ) { :ok , &quot;Reino Unido&quot; } iex&gt; Cldr.Territory . from_territory_code ( :GB , TestBackend.Cldr , [ locale : :zzz ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; Cldr.Territory . from_territory_code ( :GB , TestBackend.Cldr , [ locale : &quot;zzz&quot; ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"Cldr.Territory.html#from_territory_code/3","title":"Cldr.Territory.from_territory_code/3","type":"function"},{"doc":"The same as from_territory_code/2 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . from_territory_code! ( :GB , TestBackend.Cldr ) &quot;United Kingdom&quot; iex&gt; Cldr.Territory . from_territory_code! ( :GB , TestBackend.Cldr , [ style : :short ] ) &quot;UK&quot; iex&gt; Cldr.Territory . from_territory_code! ( :GB , TestBackend.Cldr , [ locale : &quot;pt&quot; ] ) &quot;Reino Unido&quot;","ref":"Cldr.Territory.html#from_territory_code!/3","title":"Cldr.Territory.from_territory_code!/3","type":"function"},{"doc":"Maps territory info for the given territory code. Returns {:ok, map} if successful, otherwise {:error, reason} . Example iex&gt; Cldr.Territory . info ( :GB ) { :ok , %{ currency : [ GBP : %{ from : ~D[1694-07-27] } ] , gdp : 2925000000000 , language_population : %{ &quot;ar&quot; =&gt; %{ population_percent : 0.3 } , &quot;bn&quot; =&gt; %{ population_percent : 0.4 } , &quot;cy&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 1.3 } , &quot;de&quot; =&gt; %{ population_percent : 9 } , &quot;en&quot; =&gt; %{ official_status : &quot;official&quot; , population_percent : 98 } , &quot;es&quot; =&gt; %{ population_percent : 8 } , &quot;fr&quot; =&gt; %{ population_percent : 23 } , &quot;ga&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.15 } , &quot;gd&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.11 , writing_percent : 5 } , &quot;gu&quot; =&gt; %{ population_percent : 2.9 } , &quot;it&quot; =&gt; %{ population_percent : 0.2 } , &quot;kw&quot; =&gt; %{ population_percent : 0.003 } , &quot;lt&quot; =&gt; %{ population_percent : 0.2 } , &quot;pa&quot; =&gt; %{ population_percent : 3.6 } , &quot;pl&quot; =&gt; %{ population_percent : 4 } , &quot;pt&quot; =&gt; %{ population_percent : 0.2 } , &quot;sco&quot; =&gt; %{ population_percent : 2.5 , writing_percent : 5 } , &quot;so&quot; =&gt; %{ population_percent : 0.2 } , &quot;ta&quot; =&gt; %{ population_percent : 3.2 } , &quot;tr&quot; =&gt; %{ population_percent : 0.2 } , &quot;ur&quot; =&gt; %{ population_percent : 3.5 } , &quot;zh-Hant&quot; =&gt; %{ population_percent : 0.3 } } , literacy_percent : 99 , measurement_system : %{ default : :uksystem , paper_size : :a4 , temperature : :uksystem } , population : 65761100 } }","ref":"Cldr.Territory.html#info/1","title":"Cldr.Territory.info/1","type":"function"},{"doc":"The same as info/1 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . info! ( :GB ) %{ currency : [ GBP : %{ from : ~D[1694-07-27] } ] , gdp : 2925000000000 , language_population : %{ &quot;ar&quot; =&gt; %{ population_percent : 0.3 } , &quot;bn&quot; =&gt; %{ population_percent : 0.4 } , &quot;cy&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 1.3 } , &quot;de&quot; =&gt; %{ population_percent : 9 } , &quot;en&quot; =&gt; %{ official_status : &quot;official&quot; , population_percent : 98 } , &quot;es&quot; =&gt; %{ population_percent : 8 } , &quot;fr&quot; =&gt; %{ population_percent : 23 } , &quot;ga&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.15 } , &quot;gd&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.11 , writing_percent : 5 } , &quot;gu&quot; =&gt; %{ population_percent : 2.9 } , &quot;it&quot; =&gt; %{ population_percent : 0.2 } , &quot;kw&quot; =&gt; %{ population_percent : 0.003 } , &quot;lt&quot; =&gt; %{ population_percent : 0.2 } , &quot;pa&quot; =&gt; %{ population_percent : 3.6 } , &quot;pl&quot; =&gt; %{ population_percent : 4 } , &quot;pt&quot; =&gt; %{ population_percent : 0.2 } , &quot;sco&quot; =&gt; %{ population_percent : 2.5 , writing_percent : 5 } , &quot;so&quot; =&gt; %{ population_percent : 0.2 } , &quot;ta&quot; =&gt; %{ population_percent : 3.2 } , &quot;tr&quot; =&gt; %{ population_percent : 0.2 } , &quot;ur&quot; =&gt; %{ population_percent : 3.5 } , &quot;zh-Hant&quot; =&gt; %{ population_percent : 0.3 } } , literacy_percent : 99 , measurement_system : %{ default : :uksystem , paper_size : :a4 , temperature : :uksystem } , population : 65761100 }","ref":"Cldr.Territory.html#info!/1","title":"Cldr.Territory.info!/1","type":"function"},{"doc":"Returns a map of all known territory subdivisions in a given locale. locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/1 Example =&gt; Cldr.Territory . known_subdivisions ( TestBackend.Cldr ) % { &quot;ad02&quot; =&gt; &quot;Canillo&quot; , &quot;ad03&quot; =&gt; &quot;Encamp&quot; , &quot;ad04&quot; =&gt; &quot;La Massana&quot; , &quot;ad05&quot; =&gt; &quot;Ordino&quot; , &quot;ad06&quot; =&gt; &quot;Sant Julià de Lòria&quot; , &quot;ad07&quot; =&gt; &quot;Andorra la Vella&quot; , ...","ref":"Cldr.Territory.html#known_subdivisions/1","title":"Cldr.Territory.known_subdivisions/1","type":"function"},{"doc":"Returns a map of all known territories in a given locale. locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/1 Example =&gt; Cldr.Territory . known_territories ( TestBackend.Cldr ) %{ SN : %{ standard : &quot;Senegal&quot; } , &quot;061&quot; : %{ standard : &quot;Polynesia&quot; } , BH : %{ standard : &quot;Bahrain&quot; } , TM : %{ standard : &quot;Turkmenistan&quot; } , &quot;009&quot; : %{ standard : &quot;Oceania&quot; } , CW : %{ standard : &quot;Curaçao&quot; } , FR : %{ standard : &quot;France&quot; } , TN : %{ standard : &quot;Tunisia&quot; } , FI : %{ standard : &quot;Finland&quot; } , BF : %{ standard : &quot;Burkina Faso&quot; } , &quot;155&quot; : %{ standard : &quot;Western Europe&quot; } , GL : %{ standard : &quot;Greenland&quot; } , VI : %{ standard : &quot;U.S. Virgin Islands&quot; } , ZW : %{ standard : &quot;Zimbabwe&quot; } , AR : %{ standard : &quot;Argentina&quot; } , SG : %{ standard : &quot;Singapore&quot; } , SZ : %{ standard : &quot;Swaziland&quot; } , ID : %{ standard : &quot;Indonesia&quot; } , NR : %{ standard : &quot;Nauru&quot; } , RW : %{ standard : &quot;Rwanda&quot; } , TR : %{ standard : &quot;Turkey&quot; } , IS : %{ standard : &quot;Iceland&quot; } , ME : %{ standard : &quot;Montenegro&quot; } , AW : %{ standard : &quot;Aruba&quot; } , PY : %{ standard : &quot;Paraguay&quot; } , &quot;145&quot; : %{ standard : &quot;Western Asia&quot; } , CG : %{ standard : &quot;Congo - Brazzaville&quot; , variant : &quot;Congo (Republic)&quot; } , LT : %{ standard : &quot;Lithuania&quot; } , SA : %{ standard : &quot;Saudi Arabia&quot; } , MZ : %{ standard : &quot;Mozambique&quot; } , NU : %{ standard : &quot;Niue&quot; } , NG : %{ standard : &quot;Nigeria&quot; } , CK : %{ standard : &quot;Cook Islands&quot; } , ZM : %{ standard : &quot;Zambia&quot; } , LK : %{ standard : &quot;Sri Lanka&quot; } , UY : %{ standard : &quot;Uruguay&quot; } , YE : %{ standard : &quot;Yemen&quot; } , &quot;011&quot; : %{ standard : &quot;Western Africa&quot; } , CC : %{ standard : &quot;Cocos (Keeling) Islands&quot; } , BY : %{ standard : &quot;Belarus&quot; } , IL : %{ standard : &quot;Israel&quot; } , KY : %{ standard : &quot;Cayman Islands&quot; } , GN : %{ standard : &quot;Guinea&quot; } , VN : %{ standard : &quot;Vietnam&quot; } , PE : %{ standard : &quot;Peru&quot; } , HU : %{ standard : &quot;Hungary&quot; } , HN : %{ standard : &quot;Honduras&quot; } , GI : %{ standard : &quot;Gibraltar&quot; } , &quot;142&quot; : %{ standard : &quot;Asia&quot; } , &quot;029&quot; : %{ ... } , ... }","ref":"Cldr.Territory.html#known_territories/1","title":"Cldr.Territory.known_territories/1","type":"function"},{"doc":"Returns a list of subdivisions of a given territory. Example =&gt; Cldr.Territory . known_territory_subdivisions ( :GB , TestBackend.Cldr ) { :ok , [ &quot;gbabc&quot; , &quot;gbabd&quot; , &quot;gbabe&quot; , &quot;gbagb&quot; , &quot;gbagy&quot; , &quot;gband&quot; , &quot;gbann&quot; , &quot;gbans&quot; , &quot;gbbas&quot; , &quot;gbbbd&quot; , &quot;gbbdf&quot; , &quot;gbbdg&quot; , &quot;gbben&quot; , &quot;gbbex&quot; , &quot;gbbfs&quot; , &quot;gbbge&quot; , &quot;gbbgw&quot; , &quot;gbbir&quot; , &quot;gbbkm&quot; , &quot;gbbmh&quot; , &quot;gbbne&quot; , &quot;gbbnh&quot; , &quot;gbbns&quot; , &quot;gbbol&quot; , &quot;gbbpl&quot; , &quot;gbbrc&quot; , &quot;gbbrd&quot; , &quot;gbbry&quot; , &quot;gbbst&quot; , &quot;gbbur&quot; , &quot;gbcam&quot; , &quot;gbcay&quot; , &quot;gbcbf&quot; , &quot;gbccg&quot; , &quot;gbcgn&quot; , &quot;gbche&quot; , &quot;gbchw&quot; , &quot;gbcld&quot; , &quot;gbclk&quot; , &quot;gbcma&quot; , &quot;gbcmd&quot; , &quot;gbcmn&quot; , &quot;gbcon&quot; , &quot;gbcov&quot; , &quot;gbcrf&quot; , &quot;gbcry&quot; , &quot;gbcwy&quot; , &quot;gbdal&quot; , &quot;gbdby&quot; , &quot;gbden&quot; , ... ] }","ref":"Cldr.Territory.html#known_territory_subdivisions/2","title":"Cldr.Territory.known_territory_subdivisions/2","type":"function"},{"doc":"Lists parent(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . parent ( :GB ) { :ok , [ :&quot;154&quot; , :UN ] } iex&gt; Cldr.Territory . parent ( :ZZZ ) { :error , { Cldr.UnknownTerritoryError , &quot;The territory :ZZZ is unknown&quot; } } iex&gt; Cldr.Territory . parent ( Cldr . get_locale ( ) ) { :error , { Cldr.UnknownChildrenError , &quot;The territory : \\&quot; 001 \\&quot; has no parent(s)&quot; } }","ref":"Cldr.Territory.html#parent/2","title":"Cldr.Territory.parent/2","type":"function"},{"doc":"The same as parent/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . parent! ( :GB ) [ :&quot;154&quot; , :UN ]","ref":"Cldr.Territory.html#parent!/2","title":"Cldr.Territory.parent!/2","type":"function"},{"doc":"A helper method to get a territory's currency code if a territory has multiply currencies then the oldest active currency is returned. Returns {:ok, code} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . to_currency_code ( :US ) { :ok , :USD } iex&gt; Cldr.Territory . to_currency_code ( &quot;cu&quot; ) { :ok , :CUP }","ref":"Cldr.Territory.html#to_currency_code/2","title":"Cldr.Territory.to_currency_code/2","type":"function"},{"doc":"The same as to_currency_code/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . to_currency_code! ( :US ) :USD iex&gt; Cldr.Territory . to_currency_code! ( :US , as : :charlist ) &#39;USD&#39; iex&gt; Cldr.Territory . to_currency_code! ( &quot;PS&quot; ) :ILS iex&gt; Cldr.Territory . to_currency_code! ( &quot;PS&quot; , as : :binary ) &quot;ILS&quot;","ref":"Cldr.Territory.html#to_currency_code!/2","title":"Cldr.Territory.to_currency_code!/2","type":"function"},{"doc":"A helper method to get a territory's currency codes. Returns {:ok, list} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . to_currency_codes ( :US ) { :ok , [ :USD ] } iex&gt; Cldr.Territory . to_currency_codes ( &quot;cu&quot; ) { :ok , [ :CUP , :CUC ] }","ref":"Cldr.Territory.html#to_currency_codes/2","title":"Cldr.Territory.to_currency_codes/2","type":"function"},{"doc":"The same as to_currency_codes/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; Cldr.Territory . to_currency_codes! ( :US ) [ :USD ] iex&gt; Cldr.Territory . to_currency_codes! ( :US , as : :charlist ) [ &#39;USD&#39; ] iex&gt; Cldr.Territory . to_currency_codes! ( &quot;PS&quot; ) [ :ILS , :JOD ] iex&gt; Cldr.Territory . to_currency_codes! ( &quot;PS&quot; , as : :binary ) [ &quot;ILS&quot; , &quot;JOD&quot; ]","ref":"Cldr.Territory.html#to_currency_codes!/2","title":"Cldr.Territory.to_currency_codes!/2","type":"function"},{"doc":"Unicode flag for the given territory code. Returns {:ok, flag} if successful, otherwise {:error, reason} . Example iex&gt; Cldr.Territory . to_unicode_flag ( :US ) { :ok , &quot;🇺🇸&quot; } iex&gt; Cldr.Territory . to_unicode_flag ( :EZ ) { :error , { Cldr.UnknownFlagError , &quot;The territory :EZ has no flag&quot; } }","ref":"Cldr.Territory.html#to_unicode_flag/1","title":"Cldr.Territory.to_unicode_flag/1","type":"function"},{"doc":"The same as to_unicode_flag/1 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . to_unicode_flag! ( :US ) &quot;🇺🇸&quot;","ref":"Cldr.Territory.html#to_unicode_flag!/1","title":"Cldr.Territory.to_unicode_flag!/1","type":"function"},{"doc":"Translate a LanguageTag.t into a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason} . options are: locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 style is one of those returned by Cldr.Territory.available_styles/0 . The current styles are :short , :standard and :variant . The default is :standard Example iex&gt; Cldr.Territory . translate_language_tag ( Cldr . get_locale ( ) , TestBackend.Cldr ) { :ok , &quot;world&quot; } iex&gt; Cldr.Territory . translate_language_tag ( Cldr . get_locale ( ) , TestBackend.Cldr , [ locale : Cldr.Locale . new! ( &quot;pt&quot; , TestBackend.Cldr ) ] ) { :ok , &quot;Mundo&quot; }","ref":"Cldr.Territory.html#translate_language_tag/3","title":"Cldr.Territory.translate_language_tag/3","type":"function"},{"doc":"The same as translate_language_tag/2 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . translate_language_tag! ( Cldr . get_locale ( ) , TestBackend.Cldr ) &quot;world&quot; iex&gt; Cldr.Territory . translate_language_tag! ( Cldr . get_locale ( ) , TestBackend.Cldr , [ locale : Cldr.Locale . new! ( &quot;pt&quot; , TestBackend.Cldr ) ] ) &quot;Mundo&quot;","ref":"Cldr.Territory.html#translate_language_tag!/3","title":"Cldr.Territory.translate_language_tag!/3","type":"function"},{"doc":"Translate a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason} . to_locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 Example iex&gt; Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , &quot;en&quot; , TestBackend.Cldr , &quot;pl&quot; ) { :ok , &quot;Kumbria&quot; } iex&gt; Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , &quot;en&quot; , TestBackend.Cldr , &quot;bs&quot; ) { :error , { Cldr.UnknownSubdivisionError , &quot;The locale :bs has no translation for :gbcma.&quot; } } iex&gt; Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , :zzz , TestBackend.Cldr ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , &quot;en&quot; , TestBackend.Cldr , &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"Cldr.Territory.html#translate_subdivision/4","title":"Cldr.Territory.translate_subdivision/4","type":"function"},{"doc":"The same as translate_subdivision/3 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . translate_subdivision! ( &quot;Cumbria&quot; , &quot;en&quot; , TestBackend.Cldr , &quot;pl&quot; ) &quot;Kumbria&quot; #=&gt; Cldr.Territory.translate_subdivision!(&quot;Cumbria&quot;, &quot;en&quot;, TestBackend.Cldr, &quot;bs&quot;) ** (Cldr.UnknownSubdivisionError) The locale &quot;bs&quot; has no translation for &quot;gbcma&quot;.","ref":"Cldr.Territory.html#translate_subdivision!/4","title":"Cldr.Territory.translate_subdivision!/4","type":"function"},{"doc":"","ref":"Cldr.Territory.html#translate_territory/2","title":"Cldr.Territory.translate_territory/2","type":"function"},{"doc":"","ref":"Cldr.Territory.html#translate_territory/3","title":"Cldr.Territory.translate_territory/3","type":"function"},{"doc":"","ref":"Cldr.Territory.html#translate_territory/4","title":"Cldr.Territory.translate_territory/4","type":"function"},{"doc":"Translate a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason} . to_locale is any configured locale. See Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 Example iex&gt; Cldr.Territory . translate_territory ( &quot;Reino Unido&quot; , &quot;pt&quot; , TestBackend.Cldr ) { :ok , &quot;United Kingdom&quot; } iex&gt; Cldr.Territory . translate_territory ( &quot;United Kingdom&quot; , &quot;en&quot; , TestBackend.Cldr , &quot;pt&quot; ) { :ok , &quot;Reino Unido&quot; } iex&gt; Cldr.Territory . translate_territory ( &quot;Reino Unido&quot; , :zzz , TestBackend.Cldr ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; Cldr.Territory . translate_territory ( &quot;United Kingdom&quot; , &quot;en&quot; , TestBackend.Cldr , &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"Cldr.Territory.html#translate_territory/5","title":"Cldr.Territory.translate_territory/5","type":"function"},{"doc":"","ref":"Cldr.Territory.html#translate_territory!/2","title":"Cldr.Territory.translate_territory!/2","type":"function"},{"doc":"","ref":"Cldr.Territory.html#translate_territory!/3","title":"Cldr.Territory.translate_territory!/3","type":"function"},{"doc":"","ref":"Cldr.Territory.html#translate_territory!/4","title":"Cldr.Territory.translate_territory!/4","type":"function"},{"doc":"The same as translate_territory/3 , but raises an exception if it fails. Example iex&gt; Cldr.Territory . translate_territory! ( &quot;Reino Unido&quot; , &quot;pt&quot; , TestBackend.Cldr ) &quot;United Kingdom&quot; iex&gt; Cldr.Territory . translate_territory! ( &quot;United Kingdom&quot; , &quot;en&quot; , TestBackend.Cldr , &quot;pt&quot; ) &quot;Reino Unido&quot;","ref":"Cldr.Territory.html#translate_territory!/5","title":"Cldr.Territory.translate_territory!/5","type":"function"},{"doc":"","ref":"Cldr.Territory.html#t:as_options/0","title":"Cldr.Territory.as_options/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:atom_binary_charlist/0","title":"Cldr.Territory.atom_binary_charlist/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:atom_binary_tag/0","title":"Cldr.Territory.atom_binary_tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:atom_tag/0","title":"Cldr.Territory.atom_tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:binary_tag/0","title":"Cldr.Territory.binary_tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:error/0","title":"Cldr.Territory.error/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:options/0","title":"Cldr.Territory.options/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:styles/0","title":"Cldr.Territory.styles/0","type":"type"},{"doc":"","ref":"Cldr.Territory.html#t:tag/0","title":"Cldr.Territory.tag/0","type":"type"},{"doc":"","ref":"Cldr.Territory.Backend.html","title":"Cldr.Territory.Backend","type":"module"},{"doc":"","ref":"Cldr.Territory.Backend.html#define_territory_module/1","title":"Cldr.Territory.Backend.define_territory_module/1","type":"function"},{"doc":"Provides the core functions to retrieve and manage the CLDR data that supports formatting and localisation. It provides the core functions to access formatted CLDR data, set and retrieve a current locale and validate certain core data types such as locales, currencies and territories.","ref":"TestBackend.Cldr.html","title":"TestBackend.Cldr","type":"module"},{"doc":"See Cldr.available_locale_name?/1 .","ref":"TestBackend.Cldr.html#available_locale_name?/1","title":"TestBackend.Cldr.available_locale_name?/1","type":"function"},{"doc":"Returns the default locale . Example iex&gt; TestBackend.Cldr . default_locale ( ) % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;en-001&quot; , cldr_locale_name : :&quot;en-001&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en-001&quot; , script : :Latn , territory : :&quot;001&quot; , transform : %{ } , language_variants : [ ] }","ref":"TestBackend.Cldr.html#default_locale/0","title":"TestBackend.Cldr.default_locale/0","type":"function"},{"doc":"Returns the default territory when a locale does not specify one and none can be inferred. Example iex&gt; TestBackend.Cldr . default_territory ( ) :&quot;001&quot;","ref":"TestBackend.Cldr.html#default_territory/0","title":"TestBackend.Cldr.default_territory/0","type":"function"},{"doc":"Add locale-specific ellipsis to a string. Arguments string is any String.t or a 2-element list of String.t between which the ellipsis is inserted. backend is any module that includes use Cldr and therefore is a Cldr backend module. The default is Cldr.default_backend!/0 . Note that Cldr.default_backend!/0 will raise an exception if no :default_backend is configured under the :ex_cldr key in config.exs . options is a keyword list of options Options :locale is any valid locale name returned by Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 . :location determines where to place the ellipsis. The options are :after (the default for a single string argument), :between (the default and only valid location for an argument that is a list of two strings) and :before . :format formats based upon whether the ellipsis is inserted between words or sentences. The valid options are :word or :sentence . The default is :sentence . Examples iex&gt; TestBackend.Cldr . ellipsis &quot;And furthermore&quot; &quot;And furthermore…&quot; iex&gt; TestBackend.Cldr . ellipsis [ &quot;And furthermore&quot; , &quot;there is much to be done&quot; ] , locale : :ja &quot;And furthermore…there is much to be done&quot; iex&gt; TestBackend.Cldr . ellipsis &quot;And furthermore&quot; , format : :word &quot;And furthermore …&quot; iex&gt; TestBackend.Cldr . ellipsis [ &quot;And furthermore&quot; , &quot;there is much to be done&quot; ] , locale : :ja , format : :word &quot;And furthermore … there is much to be done&quot;","ref":"TestBackend.Cldr.html#ellipsis/2","title":"TestBackend.Cldr.ellipsis/2","type":"function"},{"doc":"Return the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied. Example iex&gt; TestBackend.Cldr . put_locale ( &quot;pl&quot; ) iex&gt; TestBackend.Cldr . get_locale % Cldr.LanguageTag { backend : Elixir.TestBackend.Cldr , canonical_locale_name : &quot;pl&quot; , cldr_locale_name : :pl , extensions : %{ } , language : &quot;pl&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :pl , territory : :PL , requested_locale_name : &quot;pl&quot; , script : :Latn , transform : %{ } , language_variants : [ ] }","ref":"TestBackend.Cldr.html#get_locale/0","title":"TestBackend.Cldr.get_locale/0","type":"function"},{"doc":"See Cldr.known_calendars/0 .","ref":"TestBackend.Cldr.html#known_calendars/0","title":"TestBackend.Cldr.known_calendars/0","type":"function"},{"doc":"See Cldr.known_currencies/0 .","ref":"TestBackend.Cldr.html#known_currencies/0","title":"TestBackend.Cldr.known_currencies/0","type":"function"},{"doc":"Returns either the Gettext locale_name in Cldr format or false based upon whether the locale name is configured in Gettext . Arguments locale is any valid locale name returned by TestBackend.Cldr.known_gettext_locale_names/0 Examples iex&gt; TestBackend.Cldr . known_gettext_locale_name &quot;en&quot; &quot;en&quot; iex&gt; TestBackend.Cldr . known_gettext_locale_name &quot;en-SA&quot; false","ref":"TestBackend.Cldr.html#known_gettext_locale_name/1","title":"TestBackend.Cldr.known_gettext_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Gettext. Arguments locale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 Examples iex&gt; TestBackend.Cldr . known_gettext_locale_name? ( &quot;en&quot; ) true iex&gt; TestBackend.Cldr . known_gettext_locale_name? ( &quot;!!&quot; ) false","ref":"TestBackend.Cldr.html#known_gettext_locale_name?/1","title":"TestBackend.Cldr.known_gettext_locale_name?/1","type":"function"},{"doc":"Returns a list of Gettext locale names but in CLDR format with underscore replaced by hyphen in order to facilitate comparisons with Cldr locale names.","ref":"TestBackend.Cldr.html#known_gettext_locale_names/0","title":"TestBackend.Cldr.known_gettext_locale_names/0","type":"function"},{"doc":"Returns either the locale_name or false based upon whether the locale name is configured in Cldr . This is helpful when building a list of or expressions to return the first known locale name from a list. Arguments locale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 Examples iex&gt; TestBackend.Cldr . known_locale_name :&quot;en-AU&quot; :&quot;en-AU&quot; iex&gt; TestBackend.Cldr . known_locale_name :&quot;en-SA&quot; false","ref":"TestBackend.Cldr.html#known_locale_name/1","title":"TestBackend.Cldr.known_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr. Arguments locale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 Examples iex&gt; TestBackend.Cldr . known_locale_name? ( :en ) true iex&gt; TestBackend.Cldr . known_locale_name? ( :&quot;!!&quot; ) false","ref":"TestBackend.Cldr.html#known_locale_name?/1","title":"TestBackend.Cldr.known_locale_name?/1","type":"function"},{"doc":"Returns a list of the known locale names. Known locales are those locales which are the subset of all CLDR locales that have been configured for use either in this module or in Gettext .","ref":"TestBackend.Cldr.html#known_locale_names/0","title":"TestBackend.Cldr.known_locale_names/0","type":"function"},{"doc":"Returns a list of atoms representing the number systems types known to Cldr . Example iex&gt; TestBackend.Cldr . known_number_system_types [ :default , :finance , :native , :traditional ]","ref":"TestBackend.Cldr.html#known_number_system_types/0","title":"TestBackend.Cldr.known_number_system_types/0","type":"function"},{"doc":"See Cldr.known_number_systems/0 .","ref":"TestBackend.Cldr.html#known_number_systems/0","title":"TestBackend.Cldr.known_number_systems/0","type":"function"},{"doc":"Returns either the RBNF locale_name or false based upon whether the locale name is configured in Cldr and has RBNF rules defined. Arguments locale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 Examples iex&gt; TestBackend.Cldr . known_rbnf_locale_name :en :en iex&gt; TestBackend.Cldr . known_rbnf_locale_name :&quot;en-SA&quot; false","ref":"TestBackend.Cldr.html#known_rbnf_locale_name/1","title":"TestBackend.Cldr.known_rbnf_locale_name/1","type":"function"},{"doc":"Returns a boolean indicating if the specified locale name is configured and available in Cldr and supports rules based number formats (RBNF). Arguments locale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 Examples iex&gt; TestBackend.Cldr . known_rbnf_locale_name? ( :en ) true iex&gt; TestBackend.Cldr . known_rbnf_locale_name? ( :&quot;!!&quot; ) false","ref":"TestBackend.Cldr.html#known_rbnf_locale_name?/1","title":"TestBackend.Cldr.known_rbnf_locale_name?/1","type":"function"},{"doc":"Returns a list of locale names which have rules-based number formats (RBNF).","ref":"TestBackend.Cldr.html#known_rbnf_locale_names/0","title":"TestBackend.Cldr.known_rbnf_locale_names/0","type":"function"},{"doc":"See Cldr.known_territories/0 .","ref":"TestBackend.Cldr.html#known_territories/0","title":"TestBackend.Cldr.known_territories/0","type":"function"},{"doc":"Normalizes a string by applying transliteration of common symbols in numbers, currencies and dates","ref":"TestBackend.Cldr.html#normalize_lenient_parse/3","title":"TestBackend.Cldr.normalize_lenient_parse/3","type":"function"},{"doc":"Set the current locale to be used for Cldr functions that take an optional locale parameter for which a locale is not supplied. Arguments locale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 or a t:Cldr.LanguageTag struct returned by TestBackend.Cldr.Locale.new!/1 See rfc5646 for the specification of a language tag. Examples iex&gt; TestBackend.Cldr . put_locale ( &quot;en&quot; ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;en&quot; , cldr_locale_name : :en , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en&quot; , script : :Latn , territory : :US , transform : %{ } , language_variants : [ ] } } iex&gt; TestBackend.Cldr . put_locale ( &quot;invalid-locale!&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; ! \\&quot; starting at position 15&quot; } }","ref":"TestBackend.Cldr.html#put_locale/1","title":"TestBackend.Cldr.put_locale/1","type":"function"},{"doc":"Add locale-specific quotation marks around a string. Arguments string is any valid Elixir string options is a keyword list of options Options locale is any valid locale name returned by Cldr.known_locale_names/1 . The default is Cldr.get_locale/0 Examples iex&gt; TestBackend.Cldr . quote &quot;Quoted String&quot; &quot;“Quoted String”&quot; iex&gt; TestBackend.Cldr . quote &quot;Quoted String&quot; , locale : :ja &quot;「Quoted String」&quot;","ref":"TestBackend.Cldr.html#quote/2","title":"TestBackend.Cldr.quote/2","type":"function"},{"doc":"Returns a list of the locales names that are configured, but not known in CLDR. Since there is a compile-time exception raised if there are any unknown locales this function should always return an empty list.","ref":"TestBackend.Cldr.html#unknown_locale_names/0","title":"TestBackend.Cldr.unknown_locale_names/0","type":"function"},{"doc":"See Cldr.validate_calendar/1 .","ref":"TestBackend.Cldr.html#validate_calendar/1","title":"TestBackend.Cldr.validate_calendar/1","type":"function"},{"doc":"See Cldr.validate_currency/1 .","ref":"TestBackend.Cldr.html#validate_currency/1","title":"TestBackend.Cldr.validate_currency/1","type":"function"},{"doc":"Normalise and validate a locale name. Arguments locale is any valid locale name returned by TestBackend.Cldr.known_locale_names/0 or a Cldr.LanguageTag struct returned by TestBackend.Cldr.Locale.new!/1 Returns {:ok, language_tag} {:error, reason} Notes See rfc5646 for the specification of a language tag. Examples iex&gt; TestBackend.Cldr . validate_locale ( :en ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;en&quot; , cldr_locale_name : :en , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en&quot; , script : :Latn , territory : :US , transform : %{ } , language_variants : [ ] } } iex&gt; TestBackend.Cldr . validate_locale TestBackend.Cldr . default_locale ( ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;en-001&quot; , cldr_locale_name : :&quot;en-001&quot; , extensions : %{ } , gettext_locale_name : &quot;en&quot; , language : &quot;en&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :en , requested_locale_name : &quot;en-001&quot; , script : :Latn , territory : :&quot;001&quot; , transform : %{ } , language_variants : [ ] } } iex&gt; TestBackend.Cldr . validate_locale ( &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.html#validate_locale/1","title":"TestBackend.Cldr.validate_locale/1","type":"function"},{"doc":"See Cldr.validate_number_system/1 .","ref":"TestBackend.Cldr.html#validate_number_system/1","title":"TestBackend.Cldr.validate_number_system/1","type":"function"},{"doc":"Normalise and validate a number system type. Arguments number_system_type is any number system type returned by Cldr.known_number_system_types/1 Returns {:ok, normalized_number_system_type} or {:error, {exception, message}} Examples iex&gt; TestBackend.Cldr . validate_number_system_type :default { :ok , :default } iex&gt; TestBackend.Cldr . validate_number_system_type :traditional { :ok , :traditional } iex&gt; TestBackend.Cldr . validate_number_system_type :latn { :error , { Cldr.UnknownNumberSystemTypeError , &quot;The number system type :latn is unknown&quot; } } iex&gt; TestBackend.Cldr . validate_number_system_type &quot;bork&quot; { :error , { Cldr.UnknownNumberSystemTypeError , &quot;The number system type \\&quot; bork \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.html#validate_number_system_type/1","title":"TestBackend.Cldr.validate_number_system_type/1","type":"function"},{"doc":"See Cldr.validate_territory/1 .","ref":"TestBackend.Cldr.html#validate_territory/1","title":"TestBackend.Cldr.validate_territory/1","type":"function"},{"doc":"Execute a function with a locale ensuring that the current locale is restored after the function. Arguments locale is any valid locale name returned by Cldr.known_locale_names/1 . fun is any 0-arity function or function capture. Returns The value returned by the function fun/0 or {:error, {exception, reason}} if the locale is invalid or raises an exception if the current locale cannot be identified.","ref":"TestBackend.Cldr.html#with_locale/2","title":"TestBackend.Cldr.with_locale/2","type":"function"},{"doc":"Parses HTTP Accept-Language header values as defined in rfc2616 . The Accept-Language request-header field is similar to Accept, but restricts the set of natural languages that are preferred as a response to the request. Language tags function are provided in Cldr.LanguageTag . The format of an Accept-Language header is as follows in ABNF format: Accept - Language = &quot;Accept-Language&quot; &quot;:&quot; 1 #( language-range [ &quot;;&quot; &quot;q&quot; &quot;=&quot; qvalue ] ) language - range = ( ( 1 * 8 ALPHA * ( &quot;-&quot; 1 * 8 ALPHA ) ) | &quot;*&quot; ) Each language-range MAY be given an associated quality value which represents an estimate of the user's preference for the languages specified by that range. The quality value defaults to &quot;q=1&quot;. For example, Accept - Language : da , en - gb ; q = 0.8 , en ; q = 0.7 would mean: &quot;I prefer Danish, but will accept British English and other types of English.&quot;","ref":"TestBackend.Cldr.AcceptLanguage.html","title":"TestBackend.Cldr.AcceptLanguage","type":"module"},{"doc":"Parse an Accept-Language string and return the best match for a configured Cldr locale. Arguments accept_langauge is a string representing an accept language header Returns {:ok, language_tag} or {:error, reason} Examples iex&gt; TestBackend.Cldr.AcceptLanguage . best_match ( &quot;da;q=0.1,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } iex&gt; TestBackend.Cldr.AcceptLanguage . best_match ( &quot;da;q=0.1,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } iex&gt; TestBackend.Cldr.AcceptLanguage . best_match ( &quot;xx,yy;q=0.3&quot; ) { :error , { Cldr.NoMatchingLocale , &quot;No configured locale could be matched to \\&quot; xx,yy;q=0.3 \\&quot; &quot; } } iex&gt; TestBackend.Cldr.AcceptLanguage . best_match ( &quot;invalid_tag&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } }","ref":"TestBackend.Cldr.AcceptLanguage.html#best_match/1","title":"TestBackend.Cldr.AcceptLanguage.best_match/1","type":"function"},{"doc":"Parses an Accept-Language header value in its string or tokenized form to return a tuple of the form {:ok, [{quality, %Cldr.LanguageTag{}}, ...]} sorted by quality. Arguments accept-language is any string in the format defined by rfc2616 backend is any module that includes use Cldr and therefore is a Cldr backend module Returns {:ok, [{quality, language_tag}, ...]} or {:error, {Cldr.AcceptLanguageError, String.t}} If at least one valid language tag is found but errors are also detected on one more more tags, an {ok, list} tuple is returned wuth an error tuple for each invalid tag added at the end of the list. Example iex&gt; Cldr.AcceptLanguage . parse ( &quot;da,zh-TW;q=0.3&quot; , TestBackend.Cldr ) { :ok , [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } ] } iex&gt; TestBackend.Cldr.AcceptLanguage . parse ( &quot;invalid_tag&quot; ) { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } iex&gt; TestBackend.Cldr.AcceptLanguage . parse ( &quot;da,zh-TW;q=0.3,invalid_tag&quot; ) { :ok , [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } , { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } ] }","ref":"TestBackend.Cldr.AcceptLanguage.html#parse/1","title":"TestBackend.Cldr.AcceptLanguage.parse/1","type":"function"},{"doc":"Parses an Accept-Language header value in its string or tokenized form to produce a list of tuples of the form [{quality, %Cldr.LanguageTag{}}, ...] sorted by quality in descending order. Arguments accept-language is any string in the format defined by rfc2616 Returns {:ok, [{quality, language_tag}, ...]} or raises a Cldr.AcceptLanguageError exception If at least one valid language tag is found but errors are also detected on one more more tags, an {ok, list} tuple is returned wuth an error tuple for each invalid tag added at the end of the list. Example iex&gt; TestBackend.Cldr.AcceptLanguage . parse! ( &quot;da,zh-TW;q=0.3&quot; ) [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } ] TestBackend.Cldr.AcceptLanguage . parse! &quot;invalid_tag&quot; ** (Cldr.AcceptLanguageError) &quot;Expected a BCP47 language tag. Could not parse the remaining &quot;g&quot; starting at position 11 (ex_cldr) lib/cldr/accept_language.ex:304: Cldr.AcceptLanguage.parse!/1 iex&gt; TestBackend.Cldr.AcceptLanguage . parse! ( &quot;da,zh-TW;q=0.3,invalid_tag&quot; ) [ { 1.0 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;da&quot; , cldr_locale_name : :da , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;da&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :da , requested_locale_name : &quot;da&quot; , script : :Latn , territory : :DK , transform : %{ } , language_variants : [ ] } } , { 0.3 , % Cldr.LanguageTag { backend : TestBackend.Cldr , canonical_locale_name : &quot;zh-TW&quot; , cldr_locale_name : :&quot;zh-Hant&quot; , language_subtags : [ ] , extensions : %{ } , gettext_locale_name : nil , language : &quot;zh&quot; , locale : %{ } , private_use : [ ] , rbnf_locale_name : :&quot;zh-Hant&quot; , requested_locale_name : &quot;zh-TW&quot; , script : :Hant , territory : :TW , transform : %{ } , language_variants : [ ] } } , { :error , { Cldr.LanguageTag.ParseError , &quot;Expected a BCP47 language tag. Could not parse the remaining \\&quot; g \\&quot; starting at position 11&quot; } } ]","ref":"TestBackend.Cldr.AcceptLanguage.html#parse!/1","title":"TestBackend.Cldr.AcceptLanguage.parse!/1","type":"function"},{"doc":"Backend module that provides functions to define new locales and display human-readable locale names for presentation purposes.","ref":"TestBackend.Cldr.Locale.html","title":"TestBackend.Cldr.Locale","type":"module"},{"doc":"Returns the list of fallback locale names, starting with the provided locale name. Fallbacks are a list of locate names which can be used to resolve translation or other localization data if such localised data does not exist for this specific locale. After locale-specific fallbacks are determined, the the default locale and its fallbacks are added to the chain. Arguments locale_name is any locale name returned by TestBackend.Cldr.known_locale_names/0 Returns {:ok, list_of_locale_names} or {:error, {exception, reason}} Examples In these examples the default locale is :&quot;en-001&quot; . iex&gt; TestBackend.Cldr.Locale . fallback_locale_names ( :&quot;fr-CA&quot; ) { :ok , [ :&quot;fr-CA&quot; , :fr , :&quot;en-001&quot; , :en ] } # Fallbacks are typically formed by progressively # stripping variant, territory and script from the # given locale name. But not always - there are # certain fallbacks that take a different path. iex&gt; TestBackend.Cldr.Locale . fallback_locale_names ( :nb ) { :ok , [ :nb , :no , :&quot;en-001&quot; , :en ] }","ref":"TestBackend.Cldr.Locale.html#fallback_locale_names/1","title":"TestBackend.Cldr.Locale.fallback_locale_names/1","type":"function"},{"doc":"Returns the list of fallback locales, starting with the provided locale name. Fallbacks are a list of locate names which can be used to resolve translation or other localization data if such localised data does not exist for this specific locale. After locale-specific fallbacks are determined, the the default locale and its fallbacks are added to the chain. Arguments locale_name is any locale name returned by TestBackend.Cldr.known_locale_names/0 Returns {:ok, list_of_locales} or {:error, {exception, reason}} Examples In these examples the default locale is :&quot;en-001&quot; . TestBackend.Cldr.Locale . fallback_locales ( :&quot;fr-CA&quot; ) =&gt; { :ok , [ # Cldr.LanguageTag &lt; fr - CA [ validated ] &gt; , # Cldr.LanguageTag &lt; fr [ validated ] &gt; , # Cldr.LanguageTag &lt; en [ validated ] &gt; ] } # Fallbacks are typically formed by progressively # stripping variant, territory and script from the # given locale name. But not always - there are # certain fallbacks that take a different path. TestBackend.Cldr.Locale . fallback_locales ( :nb ) ) =&gt; { :ok , [ # Cldr.LanguageTag &lt; nb [ validated ] &gt; , # Cldr.LanguageTag &lt; no [ validated ] &gt; , # Cldr.LanguageTag &lt; en [ validated ] &gt; ] }","ref":"TestBackend.Cldr.Locale.html#fallback_locales/1","title":"TestBackend.Cldr.Locale.fallback_locales/1","type":"function"},{"doc":"Returns the &quot;best fit&quot; locale for a given territory. Using the population percentage data from CLDR, the language most commonly spoken in the given territory is used to form a locale name which is then validated against the given backend. First a territory-specific locale is validated and if that fails, the base language only is validate. For example, if the territory is AU then then the language most spoken is &quot;en&quot;. First, the locale &quot;en-AU&quot; is validated and if that fails, &quot;en&quot; is validated. Arguments territory is any ISO 3166 Alpha-2 territory code that can be validated by Cldr.validate_territory/1 Returns {:ok, language_tag} or {:error, {exception, reason}} Examples iex&gt; TestBackend.Cldr.Locale.locale_for_territory(:AU) Elixir.TestBackend.Cldr.validate_locale(:&quot;en-AU&quot;) iex&gt; TestBackend.Cldr.Locale.locale_for_territory(:US) Elixir.TestBackend.Cldr.validate_locale(:&quot;en-US&quot;) iex&gt; TestBackend.Cldr.Locale.locale_for_territory(:ZZ) {:error, {Cldr.UnknownTerritoryError, &quot;The territory :ZZ is unknown&quot;}}","ref":"TestBackend.Cldr.Locale.html#locale_for_territory/1","title":"TestBackend.Cldr.Locale.locale_for_territory/1","type":"function"},{"doc":"Returns a &quot;best fit&quot; locale for a host name. Arguments host is any valid host name options is a keyword list of options. The default is [] . Options :tlds is a list of territory codes as upper-cased atoms that are to be considered as top-level domains. See Cldr.Locale.locale_from_host/2 for the default list. Returns {:ok, langauge_tag} or {:error, {exception, reason}} Notes Certain top-level domains have become associated with content underlated to the territory for who the domain is registered. Therefore Google (and perhaps others) do not associate these TLDs as belonging to the territory but rather are considered generic top-level domain names. Examples iex&gt; TestBackend.Cldr.Locale . locale_from_host &quot;a.b.com.au&quot; Elixir.TestBackend.Cldr . validate_locale ( :&quot;en-AU&quot; ) iex&gt; TestBackend.Cldr.Locale . locale_from_host ( &quot;a.b.com.tv&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; tv \\&quot; &quot; } } iex&gt; TestBackend.Cldr.Locale . locale_from_host ( &quot;a.b.com&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; com \\&quot; &quot; } }","ref":"TestBackend.Cldr.Locale.html#locale_from_host/2","title":"TestBackend.Cldr.Locale.locale_from_host/2","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Locale.html#new/1","title":"TestBackend.Cldr.Locale.new/1","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Locale.html#new!/1","title":"TestBackend.Cldr.Locale.new!/1","type":"function"},{"doc":"Returns the last segment of a host that might be a territory. Arguments host is any valid host name Returns {:ok, territory} or {:error, {exception, reason}} Examples iex&gt; Cldr.Locale . territory_from_host ( &quot;a.b.com.au&quot; ) { :ok , :AU } iex&gt; Cldr.Locale . territory_from_host ( &quot;a.b.com&quot; ) { :error , { Cldr.UnknownLocaleError , &quot;No locale was identified for territory \\&quot; com \\&quot; &quot; } }","ref":"TestBackend.Cldr.Locale.html#territory_from_host/1","title":"TestBackend.Cldr.Locale.territory_from_host/1","type":"function"},{"doc":"Returns the territory from a language tag or locale name. Arguments locale is any language tag returned by TestBackend.Cldr.Locale.new/1 or a locale name in the list returned by TestBackend.Cldr.known_locale_names/0 Returns A territory code as an atom Examples iex&gt; TestBackend.Cldr.Locale . territory_from_locale &quot;en-US&quot; :US iex&gt; TestBackend.Cldr.Locale . territory_from_locale &quot;en-US-u-rg-GBzzzz&quot; :GB","ref":"TestBackend.Cldr.Locale.html#territory_from_locale/1","title":"TestBackend.Cldr.Locale.territory_from_locale/1","type":"function"},{"doc":"Returns the time zone from a language tag or locale name. Arguments locale is any language tag returned by TestBackend.Cldr.Locale.new/1 or a locale name in the list returned by TestBackend.Cldr.known_locale_names/0 Returns A time zone ID as a string or :error if no time zone can be determined Examples iex&gt; TestBackend.Cldr.Locale . timezone_from_locale &quot;en-US-u-tz-ausyd&quot; &quot;Australia/Sydney&quot;","ref":"TestBackend.Cldr.Locale.html#timezone_from_locale/1","title":"TestBackend.Cldr.Locale.timezone_from_locale/1","type":"function"},{"doc":"Implements cardinal plural rules for numbers.","ref":"TestBackend.Cldr.Number.Cardinal.html","title":"TestBackend.Cldr.Number.Cardinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"TestBackend.Cldr.Number.Cardinal.html#available_locale_names/0","title":"TestBackend.Cldr.Number.Cardinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined. Returns the intersection of TestBackend.Cldr.known_locale_names/0 and the locales for which Cardinal plural rules are defined. There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr 's configured locales and those that have rules.","ref":"TestBackend.Cldr.Number.Cardinal.html#known_locale_names/0","title":"TestBackend.Cldr.Number.Cardinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given locale Returns which plural key ( :zero , :one , :two , :few , :many or :other ) a given number fits into within the context of a given locale. Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other , not :zero . This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way. Arguments number is any integer , float or Decimal locale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by TestBackend.Cldr.known_locale_names/0 rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down] . The default is :half_even . Examples iex&gt; TestBackend.Cldr.Number.Cardinal . plural_rule 0 , &quot;fr&quot; :one iex&gt; TestBackend.Cldr.Number.Cardinal . plural_rule 0 , &quot;en&quot; :other","ref":"TestBackend.Cldr.Number.Cardinal.html#plural_rule/3","title":"TestBackend.Cldr.Number.Cardinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"TestBackend.Cldr.Number.Cardinal.html#plural_rules/0","title":"TestBackend.Cldr.Number.Cardinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale. Arguments locale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0 The rules are returned in AST form after parsing.","ref":"TestBackend.Cldr.Number.Cardinal.html#plural_rules_for/1","title":"TestBackend.Cldr.Number.Cardinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using cardinal plural rules and a substitution map. Arguments number is an integer, float or Decimal locale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0 substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero , :one , :two , :few , :many and :other . See also TestBackend.Cldr.Number.Cardinal.Cardinal.plural_rule/3 . Examples iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize 1 , &quot;en&quot; , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize 2 , &quot;en&quot; , %{ one : &quot;one&quot; } nil iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize 2 , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize 22 , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize Decimal . new ( 1 ) , &quot;en&quot; , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize Decimal . new ( 2 ) , &quot;en&quot; , %{ one : &quot;one&quot; } nil iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize Decimal . new ( 2 ) , &quot;en&quot; , %{ one : &quot;one&quot; , two : &quot;two&quot; } nil iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize 1 .. 10 , &quot;ar&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;few&quot; iex&gt; TestBackend.Cldr.Number.Cardinal . pluralize 1 .. 10 , &quot;en&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot;","ref":"TestBackend.Cldr.Number.Cardinal.html#pluralize/3","title":"TestBackend.Cldr.Number.Cardinal.pluralize/3","type":"function"},{"doc":"Implements ordinal plural rules for numbers.","ref":"TestBackend.Cldr.Number.Ordinal.html","title":"TestBackend.Cldr.Number.Ordinal","type":"module"},{"doc":"The locale names for which plural rules are defined.","ref":"TestBackend.Cldr.Number.Ordinal.html#available_locale_names/0","title":"TestBackend.Cldr.Number.Ordinal.available_locale_names/0","type":"function"},{"doc":"The configured locales for which plural rules are defined. Returns the intersection of TestBackend.Cldr.known_locale_names/0 and the locales for which Ordinal plural rules are defined. There are many Cldr locales which don't have their own plural rules so this list is the intersection of Cldr 's configured locales and those that have rules.","ref":"TestBackend.Cldr.Number.Ordinal.html#known_locale_names/0","title":"TestBackend.Cldr.Number.Ordinal.known_locale_names/0","type":"function"},{"doc":"Return the plural key for a given number in a given locale Returns which plural key ( :zero , :one , :two , :few , :many or :other ) a given number fits into within the context of a given locale. Note that these key names should not be interpreted literally. For example, the key returned from Cldr.Number.Ordinal.plural_rule(0, &quot;en&quot;) is actually :other , not :zero . This key can then be used to format a number, date, time, unit, list or other content in a plural-sensitive way. Arguments number is any integer , float or Decimal locale is any locale returned by Cldr.Locale.new!/2 or any locale_name returned by TestBackend.Cldr.known_locale_names/0 rounding is one of [:down, :up, :ceiling, :floor, :half_even, :half_up, :half_down] . The default is :half_even . Examples iex&gt; TestBackend.Cldr.Number.Ordinal . plural_rule 0 , &quot;fr&quot; :other iex&gt; TestBackend.Cldr.Number.Ordinal . plural_rule 1 , &quot;en&quot; :one","ref":"TestBackend.Cldr.Number.Ordinal.html#plural_rule/3","title":"TestBackend.Cldr.Number.Ordinal.plural_rule/3","type":"function"},{"doc":"Returns all the plural rules defined in CLDR.","ref":"TestBackend.Cldr.Number.Ordinal.html#plural_rules/0","title":"TestBackend.Cldr.Number.Ordinal.plural_rules/0","type":"function"},{"doc":"Return the plural rules for a locale. Arguments locale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0 The rules are returned in AST form after parsing.","ref":"TestBackend.Cldr.Number.Ordinal.html#plural_rules_for/1","title":"TestBackend.Cldr.Number.Ordinal.plural_rules_for/1","type":"function"},{"doc":"Pluralize a number using ordinal plural rules and a substitution map. Arguments number is an integer, float or Decimal or a Range.t{} . When a range, The is that in any usage, the start value is strictly less than the end value, and that no values are negative. Results for any cases that do not meet these criteria are undefined. locale is any locale returned by TestBackend.Cldr.Locale.new!/1 or any locale_name returned by TestBackend.Cldr.known_locale_names/0 substitutions is a map that maps plural keys to a string. The valid substitution keys are :zero , :one , :two , :few , :many and :other . See also TestBackend.Cldr.Number.Ordinal.Ordinal.plural_rule/3 . Examples iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize 1 , :en , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize 2 , :en , %{ one : &quot;one&quot; } nil iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize 2 , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; } &quot;two&quot; iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize 22 , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; , other : &quot;other&quot; } &quot;two&quot; iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize Decimal . new ( 1 ) , :en , %{ one : &quot;one&quot; } &quot;one&quot; iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize Decimal . new ( 2 ) , :en , %{ one : &quot;one&quot; } nil iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize Decimal . new ( 2 ) , :en , %{ one : &quot;one&quot; , two : &quot;two&quot; } &quot;two&quot; iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize 1 .. 10 , &quot;ar&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot; iex&gt; TestBackend.Cldr.Number.Ordinal . pluralize 1 .. 10 , &quot;en&quot; , %{ one : &quot;one&quot; , few : &quot;few&quot; , other : &quot;other&quot; } &quot;other&quot;","ref":"TestBackend.Cldr.Number.Ordinal.html#pluralize/3","title":"TestBackend.Cldr.Number.Ordinal.pluralize/3","type":"function"},{"doc":"Implements plural rules for ranges","ref":"TestBackend.Cldr.Number.PluralRule.Range.html","title":"TestBackend.Cldr.Number.PluralRule.Range","type":"module"},{"doc":"Returns a final plural type for a start-of-range plural type, an end-of-range plural type and a locale. Arguments first is a plural type for the start of a range last is a plural type for the end of a range locale is any Cldr.LanguageTag.t or a language name (not locale name) Example iex&gt; TestBackend.Cldr.Number.PluralRule.Range . plural_rule :other , :few , &quot;ar&quot; :few","ref":"TestBackend.Cldr.Number.PluralRule.Range.html#plural_rule/3","title":"TestBackend.Cldr.Number.PluralRule.Range.plural_rule/3","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html","title":"TestBackend.Cldr.Territory","type":"module"},{"doc":"Returns a list of available styles. Example iex&gt; TestBackend.Cldr.Territory . available_styles ( ) [ :short , :standard , :variant ]","ref":"TestBackend.Cldr.Territory.html#available_styles/0","title":"TestBackend.Cldr.Territory.available_styles/0","type":"function"},{"doc":"Returns the available territory subdivisions for a given locale. locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 Example =&gt; TestBackend.Cldr.Territory . available_subdivisions ( &quot;en&quot; ) [ :ad02 , :ad03 , :ad04 , :ad05 , :ad06 , :ad07 , :ad08 , ... ] iex&gt; TestBackend.Cldr.Territory . available_subdivisions ( ) [ ] iex&gt; TestBackend.Cldr.Territory . available_subdivisions ( &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.Territory.html#available_subdivisions/1","title":"TestBackend.Cldr.Territory.available_subdivisions/1","type":"function"},{"doc":"Returns the available territories for a given locale. locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 Example =&gt; TestBackend.Cldr.Territory . available_territories ( ) [ :&quot;001&quot; , :&quot;002&quot; , :&quot;003&quot; , :&quot;005&quot; , :&quot;009&quot; , :&quot;011&quot; , :&quot;013&quot; , :&quot;014&quot; , :&quot;015&quot; , :&quot;017&quot; , :&quot;018&quot; , :&quot;019&quot; , :&quot;021&quot; , :&quot;029&quot; , :&quot;030&quot; , :&quot;034&quot; , :&quot;035&quot; , :&quot;039&quot; , :&quot;053&quot; , :&quot;054&quot; , :&quot;057&quot; , :&quot;061&quot; , :&quot;142&quot; , :&quot;143&quot; , :&quot;145&quot; , :&quot;150&quot; , :&quot;151&quot; , :&quot;154&quot; , :&quot;155&quot; , :&quot;202&quot; , :&quot;419&quot; , :AC , :AD , :AE , :AF , :AG , :AI , :AL , :AM , :AO , :AQ , :AR , :AS , :AT , :AU , :AW , :AX , :AZ , :BA , :BB , ... ] iex&gt; TestBackend.Cldr.Territory . available_territories ( &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.Territory.html#available_territories/1","title":"TestBackend.Cldr.Territory.available_territories/1","type":"function"},{"doc":"Lists children(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . children ( :EU ) { :ok , [ :AT , :BE , :CY , :CZ , :DE , :DK , :EE , :ES , :FI , :FR , :GR , :HR , :HU , :IE , :IT , :LT , :LU , :LV , :MT , :NL , :PL , :PT , :SE , :SI , :SK , :BG , :RO ] } iex&gt; TestBackend.Cldr.Territory . children ( :ZZZ ) { :error , { Cldr.UnknownTerritoryError , &quot;The territory :ZZZ is unknown&quot; } } iex&gt; TestBackend.Cldr.Territory . children ( :GB ) { :error , { Cldr.UnknownParentError , &quot;The territory :GB has no children&quot; } }","ref":"TestBackend.Cldr.Territory.html#children/2","title":"TestBackend.Cldr.Territory.children/2","type":"function"},{"doc":"The same as children/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . children! ( :EU ) [ :AT , :BE , :CY , :CZ , :DE , :DK , :EE , :ES , :FI , :FR , :GR , :HR , :HU , :IE , :IT , :LT , :LU , :LV , :MT , :NL , :PL , :PT , :SE , :SI , :SK , :BG , :RO ]","ref":"TestBackend.Cldr.Territory.html#children!/2","title":"TestBackend.Cldr.Territory.children!/2","type":"function"},{"doc":"Checks relationship between two territories, where the first argument is the parent and second the child . Returns true if successful, otherwise false . Example iex&gt; TestBackend.Cldr.Territory . contains? ( :EU , :DK ) true iex&gt; TestBackend.Cldr.Territory . contains? ( :DK , :EU ) false","ref":"TestBackend.Cldr.Territory.html#contains?/2","title":"TestBackend.Cldr.Territory.contains?/2","type":"function"},{"doc":"Returns a list of country codes. options are: as: :atom as: :binary as: :charlist Example =&gt; TestBackend.Cldr.Territory . country_codes ( ) [ :AD , :AE , :AF , :AG , :AI , :AL , :AM , :AO , :AR , :AS , :AT , :AU , :AW , :AX , :AZ , :BA , :BB , :BD , :BE , :BF , :BG , :BH , :BI , :BJ , :BL , :BM , :BN , :BO , :BQ , :BR , :BS , :BT , :BV , :BW , :BY , :BZ , :CA , :CC , :CD , :CF , :CG , :CH , :CI , :CK , :CL , :CM , :CN , :CO , :CR , :CU , ... ]","ref":"TestBackend.Cldr.Territory.html#country_codes/1","title":"TestBackend.Cldr.Territory.country_codes/1","type":"function"},{"doc":"Localized string for the given LanguageTag.t . Returns {:ok, String.t} if successful, otherwise {:error, reason} . options are: style is one of those returned by TestBackend.Cldr.Territory.available_styles/0 . The current styles are :short , :standard and :variant . The default is :standard Example iex&gt; TestBackend.Cldr.Territory . from_language_tag ( Cldr . get_locale ( ) ) { :ok , &quot;world&quot; } iex&gt; TestBackend.Cldr.Territory . from_language_tag ( Cldr . get_locale ( ) , [ style : :short ] ) { :error , { Cldr.UnknownStyleError , &quot;The style :short is unknown&quot; } } iex&gt; TestBackend.Cldr.Territory . from_language_tag ( Cldr . get_locale ( ) , [ style : :ZZZ ] ) { :error , { Cldr.UnknownStyleError , &quot;The style :ZZZ is unknown&quot; } } iex&gt; TestBackend.Cldr.Territory . from_language_tag ( Cldr . get_locale ( ) , [ style : &quot;ZZZ&quot; ] ) { :error , { Cldr.UnknownStyleError , &quot;The style \\&quot; ZZZ \\&quot; is unknown&quot; } }","ref":"TestBackend.Cldr.Territory.html#from_language_tag/2","title":"TestBackend.Cldr.Territory.from_language_tag/2","type":"function"},{"doc":"The same as from_language_tag/2 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . from_language_tag! ( Cldr . get_locale ( ) ) &quot;world&quot;","ref":"TestBackend.Cldr.Territory.html#from_language_tag!/2","title":"TestBackend.Cldr.Territory.from_language_tag!/2","type":"function"},{"doc":"Localized string for the given subdivision code. Returns {:ok, String.t} if successful, otherwise {:error, reason} . options are: locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 Example iex&gt; TestBackend.Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , locale : &quot;en&quot; ) { :ok , &quot;Cumbria&quot; } iex&gt; TestBackend.Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , locale : &quot;pl&quot; ) { :ok , &quot;Kumbria&quot; } iex&gt; TestBackend.Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , locale : &quot;bs&quot; ) { :error , { Cldr.UnknownSubdivisionError , &quot;The locale :bs has no translation for :gbcma.&quot; } } iex&gt; TestBackend.Cldr.Territory . from_subdivision_code ( &quot;invalid&quot; , locale : &quot;en&quot; ) { :error , { Cldr.UnknownTerritoryError , &quot;The territory \\&quot; invalid \\&quot; is unknown&quot; } } iex&gt; TestBackend.Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , [ locale : :zzz ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; TestBackend.Cldr.Territory . from_subdivision_code ( &quot;gbcma&quot; , [ locale : &quot;zzz&quot; ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.Territory.html#from_subdivision_code/2","title":"TestBackend.Cldr.Territory.from_subdivision_code/2","type":"function"},{"doc":"The same as from_subdivision_code/2 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . from_subdivision_code! ( &quot;gbcma&quot; , locale : &quot;en&quot; ) &quot;Cumbria&quot; iex&gt; TestBackend.Cldr.Territory . from_subdivision_code! ( &quot;gbcma&quot; , locale : &quot;pl&quot; ) &quot;Kumbria&quot;","ref":"TestBackend.Cldr.Territory.html#from_subdivision_code!/2","title":"TestBackend.Cldr.Territory.from_subdivision_code!/2","type":"function"},{"doc":"Localized string for the given territory code. Returns {:ok, String.t} if successful, otherwise {:error, reason} . options are: locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 style is one of those returned by TestBackend.Cldr.Territory.available_styles/0 . The current styles are :short , :standard and :variant . The default is :standard Example iex&gt; TestBackend.Cldr.Territory . from_territory_code ( :GB ) { :ok , &quot;United Kingdom&quot; } iex&gt; TestBackend.Cldr.Territory . from_territory_code ( :GB , [ style : :short ] ) { :ok , &quot;UK&quot; } iex&gt; TestBackend.Cldr.Territory . from_territory_code ( :GB , [ style : :ZZZ ] ) { :error , { Cldr.UnknownStyleError , &quot;The style :ZZZ is unknown&quot; } } iex&gt; TestBackend.Cldr.Territory . from_territory_code ( :GB , [ style : &quot;ZZZ&quot; ] ) { :error , { Cldr.UnknownStyleError , &quot;The style \\&quot; ZZZ \\&quot; is unknown&quot; } } iex&gt; TestBackend.Cldr.Territory . from_territory_code ( :GB , [ locale : &quot;pt&quot; ] ) { :ok , &quot;Reino Unido&quot; } iex&gt; TestBackend.Cldr.Territory . from_territory_code ( :GB , [ locale : :zzz ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; TestBackend.Cldr.Territory . from_territory_code ( :GB , [ locale : &quot;zzz&quot; ] ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.Territory.html#from_territory_code/2","title":"TestBackend.Cldr.Territory.from_territory_code/2","type":"function"},{"doc":"The same as from_territory_code/2 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . from_territory_code! ( :GB ) &quot;United Kingdom&quot; iex&gt; TestBackend.Cldr.Territory . from_territory_code! ( :GB , [ style : :short ] ) &quot;UK&quot; iex&gt; TestBackend.Cldr.Territory . from_territory_code! ( :GB , [ locale : &quot;pt&quot; ] ) &quot;Reino Unido&quot;","ref":"TestBackend.Cldr.Territory.html#from_territory_code!/2","title":"TestBackend.Cldr.Territory.from_territory_code!/2","type":"function"},{"doc":"Maps territory info for the given territory code. Returns {:ok, map} if successful, otherwise {:error, reason} . Example iex&gt; TestBackend.Cldr.Territory . info ( :GB ) { :ok , %{ currency : [ GBP : %{ from : ~D[1694-07-27] } ] , gdp : 2925000000000 , language_population : %{ &quot;ar&quot; =&gt; %{ population_percent : 0.3 } , &quot;bn&quot; =&gt; %{ population_percent : 0.4 } , &quot;cy&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 1.3 } , &quot;de&quot; =&gt; %{ population_percent : 9 } , &quot;en&quot; =&gt; %{ official_status : &quot;official&quot; , population_percent : 98 } , &quot;es&quot; =&gt; %{ population_percent : 8 } , &quot;fr&quot; =&gt; %{ population_percent : 23 } , &quot;ga&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.15 } , &quot;gd&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.11 , writing_percent : 5 } , &quot;gu&quot; =&gt; %{ population_percent : 2.9 } , &quot;it&quot; =&gt; %{ population_percent : 0.2 } , &quot;kw&quot; =&gt; %{ population_percent : 0.003 } , &quot;lt&quot; =&gt; %{ population_percent : 0.2 } , &quot;pa&quot; =&gt; %{ population_percent : 3.6 } , &quot;pl&quot; =&gt; %{ population_percent : 4 } , &quot;pt&quot; =&gt; %{ population_percent : 0.2 } , &quot;sco&quot; =&gt; %{ population_percent : 2.5 , writing_percent : 5 } , &quot;so&quot; =&gt; %{ population_percent : 0.2 } , &quot;ta&quot; =&gt; %{ population_percent : 3.2 } , &quot;tr&quot; =&gt; %{ population_percent : 0.2 } , &quot;ur&quot; =&gt; %{ population_percent : 3.5 } , &quot;zh-Hant&quot; =&gt; %{ population_percent : 0.3 } } , literacy_percent : 99 , measurement_system : %{ default : :uksystem , paper_size : :a4 , temperature : :uksystem } , population : 65761100 } }","ref":"TestBackend.Cldr.Territory.html#info/1","title":"TestBackend.Cldr.Territory.info/1","type":"function"},{"doc":"The same as info/1 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . info! ( :GB ) %{ currency : [ GBP : %{ from : ~D[1694-07-27] } ] , gdp : 2925000000000 , language_population : %{ &quot;ar&quot; =&gt; %{ population_percent : 0.3 } , &quot;bn&quot; =&gt; %{ population_percent : 0.4 } , &quot;cy&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 1.3 } , &quot;de&quot; =&gt; %{ population_percent : 9 } , &quot;en&quot; =&gt; %{ official_status : &quot;official&quot; , population_percent : 98 } , &quot;es&quot; =&gt; %{ population_percent : 8 } , &quot;fr&quot; =&gt; %{ population_percent : 23 } , &quot;ga&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.15 } , &quot;gd&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.11 , writing_percent : 5 } , &quot;gu&quot; =&gt; %{ population_percent : 2.9 } , &quot;it&quot; =&gt; %{ population_percent : 0.2 } , &quot;kw&quot; =&gt; %{ population_percent : 0.003 } , &quot;lt&quot; =&gt; %{ population_percent : 0.2 } , &quot;pa&quot; =&gt; %{ population_percent : 3.6 } , &quot;pl&quot; =&gt; %{ population_percent : 4 } , &quot;pt&quot; =&gt; %{ population_percent : 0.2 } , &quot;sco&quot; =&gt; %{ population_percent : 2.5 , writing_percent : 5 } , &quot;so&quot; =&gt; %{ population_percent : 0.2 } , &quot;ta&quot; =&gt; %{ population_percent : 3.2 } , &quot;tr&quot; =&gt; %{ population_percent : 0.2 } , &quot;ur&quot; =&gt; %{ population_percent : 3.5 } , &quot;zh-Hant&quot; =&gt; %{ population_percent : 0.3 } } , literacy_percent : 99 , measurement_system : %{ default : :uksystem , paper_size : :a4 , temperature : :uksystem } , population : 65761100 }","ref":"TestBackend.Cldr.Territory.html#info!/1","title":"TestBackend.Cldr.Territory.info!/1","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html#inverted_subdivisions/1","title":"TestBackend.Cldr.Territory.inverted_subdivisions/1","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html#inverted_territories/1","title":"TestBackend.Cldr.Territory.inverted_territories/1","type":"function"},{"doc":"Returns a map of all known territory subdivisions in a given locale. locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 Example =&gt; TestBackend.Cldr.Territory . known_subdivisions ( &quot;en&quot; ) % { &quot;ad02&quot; =&gt; &quot;Canillo&quot; , &quot;ad03&quot; =&gt; &quot;Encamp&quot; , &quot;ad04&quot; =&gt; &quot;La Massana&quot; , &quot;ad05&quot; =&gt; &quot;Ordino&quot; , &quot;ad06&quot; =&gt; &quot;Sant Julià de Lòria&quot; , &quot;ad07&quot; =&gt; &quot;Andorra la Vella&quot; , ... iex&gt; TestBackend.Cldr.Territory . known_subdivisions ( ) %{ } iex&gt; TestBackend.Cldr.Territory . known_subdivisions ( &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.Territory.html#known_subdivisions/1","title":"TestBackend.Cldr.Territory.known_subdivisions/1","type":"function"},{"doc":"Returns a map of all known territories in a given locale. locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 Example =&gt; TestBackend.Cldr.Territory . known_territories ( ) %{ SN : %{ standard : &quot;Senegal&quot; } , &quot;061&quot; : %{ standard : &quot;Polynesia&quot; } , BH : %{ standard : &quot;Bahrain&quot; } , TM : %{ standard : &quot;Turkmenistan&quot; } , &quot;009&quot; : %{ standard : &quot;Oceania&quot; } , CW : %{ standard : &quot;Curaçao&quot; } , FR : %{ standard : &quot;France&quot; } , TN : %{ standard : &quot;Tunisia&quot; } , FI : %{ standard : &quot;Finland&quot; } , BF : %{ standard : &quot;Burkina Faso&quot; } , &quot;155&quot; : %{ standard : &quot;Western Europe&quot; } , GL : %{ standard : &quot;Greenland&quot; } , VI : %{ standard : &quot;U.S. Virgin Islands&quot; } , ZW : %{ standard : &quot;Zimbabwe&quot; } , AR : %{ standard : &quot;Argentina&quot; } , SG : %{ standard : &quot;Singapore&quot; } , SZ : %{ standard : &quot;Swaziland&quot; } , ID : %{ standard : &quot;Indonesia&quot; } , NR : %{ standard : &quot;Nauru&quot; } , RW : %{ standard : &quot;Rwanda&quot; } , TR : %{ standard : &quot;Turkey&quot; } , IS : %{ standard : &quot;Iceland&quot; } , ME : %{ standard : &quot;Montenegro&quot; } , AW : %{ standard : &quot;Aruba&quot; } , PY : %{ standard : &quot;Paraguay&quot; } , &quot;145&quot; : %{ standard : &quot;Western Asia&quot; } , CG : %{ standard : &quot;Congo - Brazzaville&quot; , variant : &quot;Congo (Republic)&quot; } , LT : %{ standard : &quot;Lithuania&quot; } , SA : %{ standard : &quot;Saudi Arabia&quot; } , MZ : %{ standard : &quot;Mozambique&quot; } , NU : %{ standard : &quot;Niue&quot; } , NG : %{ standard : &quot;Nigeria&quot; } , CK : %{ standard : &quot;Cook Islands&quot; } , ZM : %{ standard : &quot;Zambia&quot; } , LK : %{ standard : &quot;Sri Lanka&quot; } , UY : %{ standard : &quot;Uruguay&quot; } , YE : %{ standard : &quot;Yemen&quot; } , &quot;011&quot; : %{ standard : &quot;Western Africa&quot; } , CC : %{ standard : &quot;Cocos (Keeling) Islands&quot; } , BY : %{ standard : &quot;Belarus&quot; } , IL : %{ standard : &quot;Israel&quot; } , KY : %{ standard : &quot;Cayman Islands&quot; } , GN : %{ standard : &quot;Guinea&quot; } , VN : %{ standard : &quot;Vietnam&quot; } , PE : %{ standard : &quot;Peru&quot; } , HU : %{ standard : &quot;Hungary&quot; } , HN : %{ standard : &quot;Honduras&quot; } , GI : %{ standard : &quot;Gibraltar&quot; } , &quot;142&quot; : %{ standard : &quot;Asia&quot; } , &quot;029&quot; : %{ ... } , ... } =&gt; TestBackend.Cldr.Territory . known_territories ( &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language &quot; zzz &quot; is invalid&quot; } }","ref":"TestBackend.Cldr.Territory.html#known_territories/1","title":"TestBackend.Cldr.Territory.known_territories/1","type":"function"},{"doc":"Returns a list of subdivisions of a given territory. Example =&gt; TestBackend.Cldr.Territory . known_territory_subdivisions ( :GB ) { :ok , [ &quot;gbabc&quot; , &quot;gbabd&quot; , &quot;gbabe&quot; , &quot;gbagb&quot; , &quot;gbagy&quot; , &quot;gband&quot; , &quot;gbann&quot; , &quot;gbans&quot; , &quot;gbbas&quot; , &quot;gbbbd&quot; , &quot;gbbdf&quot; , &quot;gbbdg&quot; , &quot;gbben&quot; , &quot;gbbex&quot; , &quot;gbbfs&quot; , &quot;gbbge&quot; , &quot;gbbgw&quot; , &quot;gbbir&quot; , &quot;gbbkm&quot; , &quot;gbbmh&quot; , &quot;gbbne&quot; , &quot;gbbnh&quot; , &quot;gbbns&quot; , &quot;gbbol&quot; , &quot;gbbpl&quot; , &quot;gbbrc&quot; , &quot;gbbrd&quot; , &quot;gbbry&quot; , &quot;gbbst&quot; , &quot;gbbur&quot; , &quot;gbcam&quot; , &quot;gbcay&quot; , &quot;gbcbf&quot; , &quot;gbccg&quot; , &quot;gbcgn&quot; , &quot;gbche&quot; , &quot;gbchw&quot; , &quot;gbcld&quot; , &quot;gbclk&quot; , &quot;gbcma&quot; , &quot;gbcmd&quot; , &quot;gbcmn&quot; , &quot;gbcon&quot; , &quot;gbcov&quot; , &quot;gbcrf&quot; , &quot;gbcry&quot; , &quot;gbcwy&quot; , &quot;gbdal&quot; , &quot;gbdby&quot; , &quot;gbden&quot; , ... ] } iex&gt; TestBackend.Cldr.Territory . known_territory_subdivisions ( :ZZZ ) { :error , { Cldr.UnknownTerritoryError , &quot;The territory :ZZZ is unknown&quot; } }","ref":"TestBackend.Cldr.Territory.html#known_territory_subdivisions/1","title":"TestBackend.Cldr.Territory.known_territory_subdivisions/1","type":"function"},{"doc":"Lists parent(s) for the given territory code. Returns {:ok, list} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . parent ( :GB ) { :ok , [ :&quot;154&quot; , :UN ] } iex&gt; TestBackend.Cldr.Territory . parent ( :ZZZ ) { :error , { Cldr.UnknownTerritoryError , &quot;The territory :ZZZ is unknown&quot; } } iex&gt; TestBackend.Cldr.Territory . parent ( Cldr . get_locale ( ) ) { :error , { Cldr.UnknownChildrenError , &quot;The territory : \\&quot; 001 \\&quot; has no parent(s)&quot; } }","ref":"TestBackend.Cldr.Territory.html#parent/2","title":"TestBackend.Cldr.Territory.parent/2","type":"function"},{"doc":"The same as parent/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . parent! ( :GB ) [ :&quot;154&quot; , :UN ]","ref":"TestBackend.Cldr.Territory.html#parent!/2","title":"TestBackend.Cldr.Territory.parent!/2","type":"function"},{"doc":"A helper method to get a territory's currency code if a territory has multiply currencies then the oldest active currency is returned. Returns {:ok, code} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . to_currency_code ( :US ) { :ok , :USD } iex&gt; TestBackend.Cldr.Territory . to_currency_code ( &quot;cu&quot; ) { :ok , :CUP }","ref":"TestBackend.Cldr.Territory.html#to_currency_code/2","title":"TestBackend.Cldr.Territory.to_currency_code/2","type":"function"},{"doc":"The same as to_currency_code/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . to_currency_code! ( :US ) :USD iex&gt; TestBackend.Cldr.Territory . to_currency_code! ( :US , as : :charlist ) &#39;USD&#39; iex&gt; TestBackend.Cldr.Territory . to_currency_code! ( &quot;PS&quot; ) :ILS iex&gt; TestBackend.Cldr.Territory . to_currency_code! ( &quot;PS&quot; , as : :binary ) &quot;ILS&quot;","ref":"TestBackend.Cldr.Territory.html#to_currency_code!/2","title":"TestBackend.Cldr.Territory.to_currency_code!/2","type":"function"},{"doc":"A helper method to get a territory's currency codes. Returns {:ok, list} if successful, otherwise {:error, reason} . options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . to_currency_codes ( :US ) { :ok , [ :USD ] } iex&gt; TestBackend.Cldr.Territory . to_currency_codes ( &quot;cu&quot; ) { :ok , [ :CUP , :CUC ] }","ref":"TestBackend.Cldr.Territory.html#to_currency_codes/2","title":"TestBackend.Cldr.Territory.to_currency_codes/2","type":"function"},{"doc":"The same as to_currency_codes/2 , but raises an exception if it fails. options are: as: :atom as: :binary as: :charlist Example iex&gt; TestBackend.Cldr.Territory . to_currency_codes! ( :US ) [ :USD ] iex&gt; TestBackend.Cldr.Territory . to_currency_codes! ( :US , as : :charlist ) [ &#39;USD&#39; ] iex&gt; TestBackend.Cldr.Territory . to_currency_codes! ( &quot;PS&quot; ) [ :ILS , :JOD ] iex&gt; TestBackend.Cldr.Territory . to_currency_codes! ( &quot;PS&quot; , as : :binary ) [ &quot;ILS&quot; , &quot;JOD&quot; ]","ref":"TestBackend.Cldr.Territory.html#to_currency_codes!/2","title":"TestBackend.Cldr.Territory.to_currency_codes!/2","type":"function"},{"doc":"Unicode flag for the given territory code. Returns {:ok, flag} if successful, otherwise {:error, reason} . Example iex&gt; TestBackend.Cldr.Territory . to_unicode_flag ( :US ) { :ok , &quot;🇺🇸&quot; } iex&gt; TestBackend.Cldr.Territory . to_unicode_flag ( :EZ ) { :error , { Cldr.UnknownFlagError , &quot;The territory :EZ has no flag&quot; } }","ref":"TestBackend.Cldr.Territory.html#to_unicode_flag/1","title":"TestBackend.Cldr.Territory.to_unicode_flag/1","type":"function"},{"doc":"The same as to_unicode_flag/1 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . to_unicode_flag! ( :US ) &quot;🇺🇸&quot;","ref":"TestBackend.Cldr.Territory.html#to_unicode_flag!/1","title":"TestBackend.Cldr.Territory.to_unicode_flag!/1","type":"function"},{"doc":"Translate a LanguageTag.t into a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason} . options are: locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 style is one of those returned by TestBackend.Cldr.Territory.available_styles/0 . The current styles are :short , :standard and :variant . The default is :standard Example iex&gt; TestBackend.Cldr.Territory . translate_language_tag ( Cldr . get_locale ( ) ) { :ok , &quot;world&quot; } iex&gt; TestBackend.Cldr.Territory . translate_language_tag ( Cldr . get_locale ( ) , [ locale : Cldr.Locale . new! ( &quot;pt&quot; , TestBackend.Cldr ) ] ) { :ok , &quot;Mundo&quot; }","ref":"TestBackend.Cldr.Territory.html#translate_language_tag/2","title":"TestBackend.Cldr.Territory.translate_language_tag/2","type":"function"},{"doc":"The same as translate_language_tag/2 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . translate_language_tag! ( Cldr . get_locale ( ) ) &quot;world&quot; iex&gt; TestBackend.Cldr.Territory . translate_language_tag! ( Cldr . get_locale ( ) , [ locale : Cldr.Locale . new! ( &quot;pt&quot; , TestBackend.Cldr ) ] ) &quot;Mundo&quot;","ref":"TestBackend.Cldr.Territory.html#translate_language_tag!/2","title":"TestBackend.Cldr.Territory.translate_language_tag!/2","type":"function"},{"doc":"Translate a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason} . to_locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 Example iex&gt; TestBackend.Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , &quot;en&quot; , &quot;pl&quot; ) { :ok , &quot;Kumbria&quot; } iex&gt; TestBackend.Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , &quot;en&quot; , &quot;bs&quot; ) { :error , { Cldr.UnknownSubdivisionError , &quot;The locale :bs has no translation for :gbcma.&quot; } } iex&gt; TestBackend.Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , :zzz ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; TestBackend.Cldr.Territory . translate_subdivision ( &quot;Cumbria&quot; , &quot;en&quot; , &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } }","ref":"TestBackend.Cldr.Territory.html#translate_subdivision/3","title":"TestBackend.Cldr.Territory.translate_subdivision/3","type":"function"},{"doc":"The same as translate_subdivision/3 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . translate_subdivision! ( &quot;Cumbria&quot; , &quot;en&quot; , &quot;pl&quot; ) &quot;Kumbria&quot; iex&gt; TestBackend.Cldr.Territory . translate_subdivision! ( &quot;Kumbria&quot; , &quot;pl&quot; , &quot;en&quot; ) &quot;Cumbria&quot;","ref":"TestBackend.Cldr.Territory.html#translate_subdivision!/3","title":"TestBackend.Cldr.Territory.translate_subdivision!/3","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html#translate_territory/2","title":"TestBackend.Cldr.Territory.translate_territory/2","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html#translate_territory/3","title":"TestBackend.Cldr.Territory.translate_territory/3","type":"function"},{"doc":"Translate a localized string from one locale to another. Returns {:ok, result} if successful, otherwise {:error, reason} . to_locale is any configured locale. See TestBackend.Cldr.known_locale_names/0 . The default is Cldr.get_locale/0 Example iex&gt; TestBackend.Cldr.Territory . translate_territory ( &quot;Reino Unido&quot; , &quot;pt&quot; ) { :ok , &quot;United Kingdom&quot; } iex&gt; TestBackend.Cldr.Territory . translate_territory ( &quot;United Kingdom&quot; , &quot;en&quot; , &quot;pt&quot; ) { :ok , &quot;Reino Unido&quot; } iex&gt; TestBackend.Cldr.Territory . translate_territory ( &quot;Reino Unido&quot; , :zzz ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; TestBackend.Cldr.Territory . translate_territory ( &quot;United Kingdom&quot; , &quot;en&quot; , &quot;zzz&quot; ) { :error , { Cldr.InvalidLanguageError , &quot;The language \\&quot; zzz \\&quot; is invalid&quot; } } iex&gt; TestBackend.Cldr.Territory . translate_territory ( &quot;Westworld&quot; , &quot;en&quot; , &quot;pt&quot; ) { :error , { Cldr.UnknownTerritoryError , &quot;No territory translation for \\&quot; Westworld \\&quot; could be found in locale :en&quot; } }","ref":"TestBackend.Cldr.Territory.html#translate_territory/4","title":"TestBackend.Cldr.Territory.translate_territory/4","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html#translate_territory!/2","title":"TestBackend.Cldr.Territory.translate_territory!/2","type":"function"},{"doc":"","ref":"TestBackend.Cldr.Territory.html#translate_territory!/3","title":"TestBackend.Cldr.Territory.translate_territory!/3","type":"function"},{"doc":"The same as translate_territory/3 , but raises an exception if it fails. Example iex&gt; TestBackend.Cldr.Territory . translate_territory! ( &quot;Reino Unido&quot; , &quot;pt&quot; ) &quot;United Kingdom&quot; iex&gt; TestBackend.Cldr.Territory . translate_territory! ( &quot;United Kingdom&quot; , &quot;en&quot; , &quot;pt&quot; ) &quot;Reino Unido&quot; #=&gt; TestBackend.Cldr.Territory.translate_territory!(&quot;Westworld&quot;, &quot;en&quot;, &quot;pt&quot;) ** (Cldr.UnknownTerritoryError) No territory translation for &quot;Westworld&quot; could be found in locale &quot;en&quot;","ref":"TestBackend.Cldr.Territory.html#translate_territory!/4","title":"TestBackend.Cldr.Territory.translate_territory!/4","type":"function"},{"doc":"Exception raised when there is an invalid child.","ref":"Cldr.UnknownChildrenError.html","title":"Cldr.UnknownChildrenError","type":"exception"},{"doc":"Exception raised when there is an invalid Flag.","ref":"Cldr.UnknownFlagError.html","title":"Cldr.UnknownFlagError","type":"exception"},{"doc":"Exception raised when there is an invalid LanguageTag.t.","ref":"Cldr.UnknownLanguageTagError.html","title":"Cldr.UnknownLanguageTagError","type":"exception"},{"doc":"Exception raised when there is an invalid parent.","ref":"Cldr.UnknownParentError.html","title":"Cldr.UnknownParentError","type":"exception"},{"doc":"Exception raised when there is an invalid style.","ref":"Cldr.UnknownStyleError.html","title":"Cldr.UnknownStyleError","type":"exception"},{"doc":"Exception raised when there is an invalid or missing subdivision.","ref":"Cldr.UnknownSubdivisionError.html","title":"Cldr.UnknownSubdivisionError","type":"exception"},{"doc":"","ref":"readme.html","title":"Cldr for Territories","type":"extras"},{"doc":"ex_cldr_territories is an add-on library for ex_cldr that provides localization for territories.","ref":"readme.html#introduction-and-getting-started","title":"Cldr for Territories - Introduction and Getting Started","type":"extras"},{"doc":"iex&gt; MyCldr.Territory . from_territory_code ( :GB ) { :ok , &quot;United Kingdom&quot; } iex&gt; MyCldr.Territory . translate_territory ( &quot;Reino Unido&quot; , &quot;pt&quot; , &quot;en&quot; ) { :ok , &quot;UK&quot; } iex&gt; MyCldr.Territory . contains? ( :EU , :GB ) false iex&gt; MyCldr.Territory . contains? ( :EU , :DE ) true iex&gt; MyCldr.Territory . parent ( :GB ) { :ok , [ :&quot;154&quot; , :UN ] } iex&gt; MyCldr.Territory . children ( :EU ) { :ok , [ :AT , :BE , :CY , :CZ , :DE , :DK , :EE , :ES , :FI , :FR , :GR , :HR , :HU , :IE , :IT , :LT , :LU , :LV , :MT , :NL , :PL , :PT , :SE , :SI , :SK , :BG , :RO ] } iex&gt; MyCldr.Territory . info ( :GB ) { :ok , %{ currency : [ GBP : %{ from : ~D[1694-07-27] } ] , gdp : 2925000000000 , language_population : %{ &quot;bn&quot; =&gt; %{ population_percent : 0.67 } , &quot;cy&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.77 } , &quot;de&quot; =&gt; %{ population_percent : 6 } , &quot;el&quot; =&gt; %{ population_percent : 0.33 } , &quot;en&quot; =&gt; %{ official_status : &quot;official&quot; , population_percent : 99 } , &quot;fr&quot; =&gt; %{ population_percent : 19 } , &quot;ga&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.026 } , &quot;gd&quot; =&gt; %{ official_status : &quot;official_regional&quot; , population_percent : 0.099 , writing_percent : 5 } , &quot;it&quot; =&gt; %{ population_percent : 0.33 } , &quot;ks&quot; =&gt; %{ population_percent : 0.19 } , &quot;kw&quot; =&gt; %{ population_percent : 0.003 } , &quot;ml&quot; =&gt; %{ population_percent : 0.035 } , &quot;pa&quot; =&gt; %{ population_percent : 0.79 } , &quot;sco&quot; =&gt; %{ population_percent : 2.7 , writing_percent : 5 } , &quot;syl&quot; =&gt; %{ population_percent : 0.51 } , &quot;yi&quot; =&gt; %{ population_percent : 0.049 } , &quot;zh-Hant&quot; =&gt; %{ population_percent : 0.54 } } , literacy_percent : 99 , measurement_system : %{ default : :uksystem , paper_size : :a4 , temperature : :uksystem } , population : 65761100 } } iex&gt; MyCldr.Territory . to_unicode_flag ( :US ) { :ok , &quot;🇺🇸&quot; } iex&gt; MyCldr.Territory . to_currency_code ( :US ) { :ok , :USD } For help in iex : iex&gt; h MyCldr.Territory . from_territory_code","ref":"readme.html#examples","title":"Cldr for Territories - Examples","type":"extras"},{"doc":"hex documentation for ex_cldr hex documentation for ex_cldr_territories","ref":"readme.html#documentation","title":"Cldr for Territories - Documentation","type":"extras"},{"doc":"Note that :ex_cldr_territories requires Elixir 1.5 or later. Add ex_cldr_territories as a dependency to your mix project: defp deps do [ { :ex_cldr_territories , &quot;~&gt; 2.4.1&quot; } ] end then retrieve ex_cldr_territories from hex : mix deps . get mix deps . compile","ref":"readme.html#installation","title":"Cldr for Territories - Installation","type":"extras"},{"doc":"(The MIT License) Copyright (c) 2017 Benjamin Schultzer Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the 'Software'), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"readme.html#license","title":"Cldr for Territories - LICENSE","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"Enhancements Updates to ex_cldr version 2.33 Updates to support CLDR release 41 via ex_cldr version 2.28","ref":"changelog.html#cldr-territories-v2-5-0-octorber-24-2022","title":"Changelog - Cldr Territories v2.5.0 Octorber 24, 2022","type":"extras"},{"doc":"Enhancements Fixed spec for known_territory_subdivisions/2 thanks to @zorbash","ref":"changelog.html#cldr-territories-v2-4-1-octorber-20nd-2022","title":"Changelog - Cldr Territories v2.4.1 Octorber 20nd, 2022","type":"extras"},{"doc":"Enhancements Updates to ex_cldr version 2.26.0 which use atoms for locale names and rbnf locale names. This is consistent with other elements of t:Cldr.LanguageTag where atoms are used when the cardinality of the data is fixed and relatively small and strings where the data is free format.","ref":"changelog.html#cldr-territories-v2-4-0-february-22nd-2022","title":"Changelog - Cldr Territories v2.4.0 February 22nd, 2022","type":"extras"},{"doc":"Enhancements Updates to support CLDR release 40 via ex_cldr version 2.24 Replace deprecated Cldr.Config.get_locale/2 and Cldr.Config.known_locale_names/1 with the replacement versions in Cldr.Locale.Loader Deprecations Updates minimum Elixir version to 1.10 since this is the minimum supported by ex_cldr version 2.24 and later.","ref":"changelog.html#cldr-territories-v2-3-0-october-27th-2021","title":"Changelog - Cldr Territories v2.3.0 October 27th, 2021","type":"extras"},{"doc":"Enhancements Updates to ex_cldr version 2.24 which uses CLDR 40 data Both territories and territory subdivisions are now represented as atoms in the canonical form rather than the previous binary representation.","ref":"changelog.html#cldr-territories-v2-3-0-rc-0-october-19th-2021","title":"Changelog - Cldr Territories v2.3.0-rc.0 October 19th, 2021","type":"extras"},{"doc":"Enhancements Fix bug in translate_territory!/4 #16 , thanks to @leandrocp. Fix bug in translate_subdivision!/4 .","ref":"changelog.html#cldr-territories-v2-2-2-may-11th-2021","title":"Changelog - Cldr Territories v2.2.2 May 11th, 2021","type":"extras"},{"doc":"Enhancements Fix specs for known_territories/1 , known_subdivisions/1 , from_subdivision_code/2,3 and from_subdivision_code!/2,3 #14","ref":"changelog.html#cldr-territories-v2-2-1-may-10th-2021","title":"Changelog - Cldr Territories v2.2.1 May 10th, 2021","type":"extras"},{"doc":"Enhancements Requires ex_cldr version 2.20 or later to use CLDR data version 39. As with all CLDR releases, underlying data can change and tests are updated to reflect those changes. Added known_subdivisions/1 , known_territory_subdivisions/2 , from_subdivision_code/3 and translate_subdivision/4 to support subdivison, thansk to @mskv. Improved proformance for from_territory_code/2 , from_subdivision_code/2 , translate_territory/4 and translate_subdivision/4 , thanks to @kipcole9.","ref":"changelog.html#cldr-territories-v2-2-0-april-19th-2021","title":"Changelog - Cldr Territories v2.2.0 April 19th, 2021","type":"extras"},{"doc":"Enhancements Requires ex_cldr version 2.14 or later to use CLDR data version 37. As with all CLDR releases, underlying data can change and tests are updated to reflect those changes. Updated readme to reflect changes in EU composition and the updated data returned territories CLDR 37 also reflects that the UK is no longer part of the EU. Minimum version of Elixir required is 1.8 to align with the baseline ex_cldr library Fix typespec leading to dialyzer errors Update dependencies in development","ref":"changelog.html#cldr-territories-v2-1-0-june-8th-2020","title":"Changelog - Cldr Territories v2.1.0 June 8th, 2020","type":"extras"},{"doc":"Enhancements Fix dialyzer errors thanks to @jeroenvisser101","ref":"changelog.html#cldr-territories-v2-0-1-may-1st-2019","title":"Changelog - Cldr Territories v2.0.1 May 1st, 2019","type":"extras"},{"doc":"This is the changelog for Cldr Territories v2.0.0 released on November 25th, 2018. For older changelogs please consult the release tag on GitHub Enhancements Move to a backend module structure with ex_cldr version 2.0","ref":"changelog.html#cldr-territories-v2-0-0-november-25st-2018","title":"Changelog - Cldr Territories v2.0.0 November 25st, 2018","type":"extras"}]